<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2008 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    any later version accepted by Marco Maria Francesco De Santis, which
#    shall act as a proxy as defined in Section 14 of version 3 of the
#    license.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##################################################################################

$pag = "personalizza.php";
$titolo = "Personalizza";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
include("./includes/funzioni_costi_agg.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tableutenti = $PHPR_TAB_PRE."utenti";
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tablecontratti = $PHPR_TAB_PRE."contratti";
$tablerelutenti = $PHPR_TAB_PRE."relutenti";
$tablenazioni = $PHPR_TAB_PRE."nazioni";
$tableregioni = $PHPR_TAB_PRE."regioni";
$tableparentele = $PHPR_TAB_PRE."parentele";

$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_mod_pers = risul_query($privilegi_globali_utente,0,priv_mod_pers);
if (substr($priv_mod_pers,0,1) != "s") $modifica_pers = "NO";
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$modifica_pers = "SI";
$anno_utente_attivato = "SI";
} # fine else if ($id_utente != 1)
if ($id_utente != 1 or !$id_utente_mod) $id_utente_mod = $id_utente;
if ($id_utente_mod != 1) {
$id_utente_mod = aggslashdb($id_utente_mod);
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente_mod = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_mod' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente_mod) == 0) $attiva_contratti_consentiti = "n";
else {
$contratti_consentiti = risul_query($privilegi_annuali_utente_mod,0,contratti_consentiti);
$attiva_contratti_consentiti = substr($contratti_consentiti,0,1);
if ($attiva_contratti_consentiti == "s") {
$contratti_consentiti = explode(",",substr($contratti_consentiti,2));
unset($contratti_consentiti_vett);
for ($num1 = 0 ; $num1 < count($contratti_consentiti) ; $num1++) if ($contratti_consentiti[$num1]) $contratti_consentiti_vett[$contratti_consentiti[$num1]] = "SI";
} # fine if ($attiva_contratti_consentiti == "s")
} # fine else if (numlin_query($privilegi_annuali_utente_mod) == 0)
} # fine if ($id_utente_mod != 1)
else $attiva_contratti_consentiti = "n";
if ($modifica_pers != "NO" and $anno_utente_attivato == "SI") {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$Euro = nome_valuta();
$stile_data = stile_data();

$tipo_periodi = esegui_query("select * from $tableanni where idanni = '$anno'");
$tipo_periodi = risul_query($tipo_periodi,0,tipo_periodi);


if ($aggiungidatemenu) {
unset($aggiorna_qualcosa);
$num_periodi_date++;
} # fine if ($aggiungidatemenu)
if ($eliminadatemenu) {
unset($aggiorna_qualcosa);
$num_periodi_date--;
} # fine if ($eliminadatemenu)



if ($aggiorna_qualcosa) {

if ($id_utente == 1) {

if ($cambianumerotariffe) {
$numerotariffe = esegui_query("select nomecostoagg from $tablenometariffe where idntariffe = 1");
$numerotariffe = risul_query($numerotariffe,0,nomecostoagg);
if ($numerotariffe == $nuovo_numero_tariffe) $aggiorna = "NO";
if (defined("C_MASSIMO_NUM_TARIFFE") and C_MASSIMO_NUM_TARIFFE != 0 and $nuovo_numero_tariffe > C_MASSIMO_NUM_TARIFFE) $aggiorna_numero_tariffe = "NO";
if (controlla_num_pos($nuovo_numero_tariffe) == "NO" or $nuovo_numero_tariffe == 0 or $aggiorna_numero_tariffe == "NO") {
$aggiorna = "NO";
} # fine if (controlla_num_pos($nuovo_numero_tariffe) or ...
$file_interconnessioni = "./dati/dati_interconnessioni.php";
if (@is_file($file_interconnessioni)) {
$linee_file_ic = implode("",file($file_interconnessioni));
for ($num1 = ($nuovo_numero_tariffe + 1) ; $num1 <= $numerotariffe ; $num1++) {
if (str_replace("\"tariffa$num1\"","",$linee_file_ic) != $linee_file_ic) $aggiorna = "NO";
} # fine for $num1
} # fine if (@is_file($file_interconnessioni))
if ($aggiorna == "NO") echo mex("Il numero di tariffe è sbagliato",$pag).".<br>";
if ($aggiorna != "NO") {
$riga_ntariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1");
$num_colonne = numcampi_query($riga_ntariffe);
$max_num_nome_tariffa = 1;
for ($num1 = 0 ; $num1 < $num_colonne ; $num1++) {
$nome_colonna = nomecampo_query($riga_ntariffe,$num1);
if (substr($nome_colonna,0,7) == "tariffa") {
$num_nome_tariffa = str_replace ("tariffa","",$nome_colonna);
if ($num_nome_tariffa > $max_num_nome_tariffa) $max_num_nome_tariffa = $num_nome_tariffa;
} # fine if (substr($nome_colonna,0,7) == "tariffa")
} # fine for $num1
for ($num1 = ($max_num_nome_tariffa + 1) ; $num1 <= $nuovo_numero_tariffe ; $num1++) {
$nome_nuova_tariffa = "tariffa" . $num1;
$risul = @esegui_query("alter table $tablenometariffe add column $nome_nuova_tariffa varchar(40)","silenzio");
@esegui_query("alter table $tableperiodi add column $nome_nuova_tariffa float8","silenzio");
} # fine for $num1
if ($nuovo_numero_tariffe > $max_num_nome_tariffa and !$risul) $nuovo_numero_tariffe = $max_num_nome_tariffa;
if ($numerotariffe > $nuovo_numero_tariffe) {
for ($num1 = ($nuovo_numero_tariffe + 1) ; $num1 <= $numerotariffe ; $num1++) {
$nome_vecchia_tariffa = "tariffa" . $num1;
esegui_query("delete from $tableregole where tariffa_per_app = '$nome_vecchia_tariffa'");
esegui_query("delete from $tableregole where tariffa_per_utente = '$nome_vecchia_tariffa'");
esegui_query("update $tableperiodi set $nome_vecchia_tariffa = NULL");
esegui_query("update $tablenometariffe set $nome_vecchia_tariffa = NULL");
} # fine for $num1
} # fine if ($numerotariffe > $nuovo_numero_tariffe)
esegui_query("update $tablenometariffe set nomecostoagg = '$nuovo_numero_tariffe' where idntariffe = 1");
echo mex("Il numero delle tariffe è stato cambiato",$pag).".<br>";
} # fine if ($aggiorna != "NO")
} # fine if ($cambianumerotariffe)

if ($disattiva_assegnazione_automatica) {
esegui_query("update $tablepersonalizza set valpersonalizza = 'SI' where idpersonalizza = 'tutti_fissi' and idutente = '1'");
echo mex("Assegnazione automatica disattivata",$pag).".<br>";
} # fine if ($disattiva_assegnazione_automatica)
if ($attiva_assegnazione_automatica) {
esegui_query("update $tablepersonalizza set valpersonalizza = '25' where idpersonalizza = 'tutti_fissi' and idutente = '1'");
echo mex("Assegnazione automatica attivata",$pag).".<br>";
} # fine if ($attiva_assegnazione_automatica)
if ($cambia_secondi_lim_liberasett and controlla_num_pos($secondi_lim_liberasett) == "SI") {
esegui_query("update $tablepersonalizza set valpersonalizza = '".aggslashdb($secondi_lim_liberasett)."' where idpersonalizza = 'tutti_fissi' and idutente = '1'");
echo mex("Il tempo limite per la ricerca di un appartamento libero è stato cambiato",$pag).".<br>";
} # fine if ($cambia_secondi_lim_liberasett and controlla_num_pos($secondi_lim_liberasett) == "SI")

if ($disattiva_auto_crea_anno) {
esegui_query("update $tablepersonalizza set valpersonalizza = 'NO' where idpersonalizza = 'auto_crea_anno' and idutente = '1'");
echo mex("Creazione automatica nuovo anno disattivata",$pag).".<br>";
} # fine if ($disattiva_auto_crea_anno)
if ($attiva_auto_crea_anno) {
esegui_query("update $tablepersonalizza set valpersonalizza = 'SI' where idpersonalizza = 'auto_crea_anno' and idutente = '1'");
echo mex("Creazione automatica nuovo anno attivata",$pag).".<br>";
} # fine if ($attiva_auto_crea_anno)

if ($cambia_minuti_durata_sessione) {
if ($minuti_durata_sessione != "" and controlla_num_pos($minuti_durata_sessione) == "SI" and $minuti_durata_sessione >= 5 and $minuti_durata_sessione <= 9999) {
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$minuti_durata_sessione' where idpersonalizza = 'minuti_durata_sessione' and idutente = '1'");
echo mex("I minuti di durata di sessioni e transazioni sono stati cambiati",$pag).".<br>";
} # fine if ($minuti_durata_sessione != "" and...
} # fine if ($cambia_minuti_durata_sessione)

if ($cambia_minuti_durata_insprenota) {
if ($minuti_durata_insprenota != "" and controlla_num_pos($minuti_durata_insprenota) == "SI" and $minuti_durata_insprenota >= 0 and $minuti_durata_insprenota <= 9999) {
if (!$minuti_durata_insprenota) $minuti_durata_insprenota = "0";
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$minuti_durata_insprenota' where idpersonalizza = 'minuti_durata_insprenota' and idutente = '1'");
echo mex("I minuti durante i quali occupare gli appartamenti mentre si inserisce una prenotazione sono stati cambiati",$pag).".<br>";
} # fine if ($minuti_durata_insprenota != "" and...
} # fine if ($cambia_minuti_durata_insprenota)

if ($cambia_ore_diff_server) {
settype($cambia_ore_diff_server,"string");
if ($ore_diff_server != "" and controlla_num($ore_diff_server) == "SI" and $ore_diff_server >= -23 and $ore_diff_server <= 23) {
scrivi_file("<?php
define(C_VERSIONE_ATTUALE,".C_VERSIONE_ATTUALE.");
define(C_DIFF_ORE,$ore_diff_server);
?>","./dati/versione.php");
echo mex("Le ore di differenza con l'orario del server sono state cambiate",$pag)." 
(".mex("ora attuale",$pag)." ".formatta_data(date("Y-m-d H:i:s",(time() + ($ore_diff_server * 3600))),$stile_data).").<br>";
} # fine if ($cambia_ore_diff_server != "" and...
} # fine if ($cambia_ore_diff_server)

if ($cambia_percorso_cartella_modello) {
if (!defined("C_CARTELLA_CREA_MODELLI") or C_CARTELLA_CREA_MODELLI == "") {
if (substr($percorso_cartella_modello,-1) == "/") $percorso_cartella_modello = substr($percorso_cartella_modello,0,-1);
if ($percorso_cartella_modello) {
if (!@is_dir($percorso_cartella_modello)) echo mex("La cartella inserita <div style=\"display: inline; color: red;\">non esiste</div>",$pag).".<br>";
else {
$fileaperto = @fopen("$percorso_cartella_modello/prova.tmp","a+");
if (!$fileaperto) echo mex("Non ho i permessi di scrittura sulla cartella",$pag)." <div style=\"display: inline; color: red;\">$percorso_cartella_modello/</div>.<br>";
else {
fclose($fileaperto);
unlink("$percorso_cartella_modello/prova.tmp");
esegui_query("update $tablepersonalizza set valpersonalizza = '$percorso_cartella_modello' where idpersonalizza = 'percorso_cartella_modello' and idutente = '1'");
echo mex("La cartella dove vengono creati i modelli internet è stata cambiata",$pag).".<br>";
} # fine else if (!$fileaperto)
} # fine else if (!@is_dir($percorso_cartella_modello))
} # fine if ($percorso_cartella_modello)
} # fine if (!defined("C_CARTELLA_CREA_MODELLI") or C_CARTELLA_CREA_MODELLI == "")
} # fine if ($cambia_percorso_cartella_modello)

if ($cambia_maschera_email and (!defined("C_MASCHERA_EMAIL") or C_MASCHERA_EMAIL == "")) {
if ($maschera_email == "SI" or $maschera_email == "NO") {
esegui_query("update $tablepersonalizza set valpersonalizza = '$maschera_email' where idpersonalizza = 'maschera_email' and idutente = '1'");
echo mex("Il mascheramento della provenienza delle email è stato cambiato",$pag).".<br>";
} # fine if ($maschera_email == "SI" or $maschera_email == "NO")
} # fine if ($cambia_maschera_email and...

if ($aggiungi_parola_da_sostituire) {
if ($parole_sost == 0) {
$filelock = crea_lock_file("./dati/tema.php");
$file_tema = implode("",@file("./dati/tema.php"));
$file_tema = ereg_replace("\\\$parole_sost *= *0 *;","\$parole_sost = 1;",$file_tema);
scrivi_file($file_tema,"./dati/tema.php");
distruggi_lock_file($filelock,"./dati/tema.php");
$filelock = crea_lock_file("./dati/parole_sost.php");
scrivi_file("<?php
?>","./dati/parole_sost.php");
} # fine if ($parole_sost == 0)
else $filelock = crea_lock_file("./dati/parole_sost.php");
$file_sost = implode("",@file("./dati/parole_sost.php"));
togli_acapo($nuova_parola);
togli_acapo($vecchia_parola);
$nuova_parola = str_replace("\"","",$nuova_parola);
$nuova_parola = str_replace("\\","",$nuova_parola);
if (C_RESTRIZIONI_DEMO_ADMIN == "SI") $nuova_parola = htmlspecialchars($nuova_parola);
$vecchia_parola = str_replace("\"","",$vecchia_parola);
$vecchia_parola = str_replace("\\","",$vecchia_parola);
$file_sost = str_replace("?>","\$messaggio = str_replace(\"$vecchia_parola\",\"$nuova_parola\",\$messaggio);
?>",$file_sost);
if ($nuova_parola and $vecchia_parola) scrivi_file($file_sost,"./dati/parole_sost.php");
distruggi_lock_file($filelock,"./dati/parole_sost.php");
echo mex("La parola da sostituire è stata aggiunta",$pag).".<br>";
} # fine if ($aggiungi_parola_da_sostituire)
if ($elimina_parola_da_sostituire) {
if (get_magic_quotes_gpc()) $parola_da_elininare = stripslashes($parola_da_elininare);
$parola_da_elininare = explode("\\",$parola_da_elininare);
$filelock = crea_lock_file("./dati/parole_sost.php");
$file_sost = @file("./dati/parole_sost.php");
$sost_presenti = "NO";
if (C_RESTRIZIONI_DEMO_ADMIN == "SI") $parola_da_elininare[1] = htmlspecialchars($parola_da_elininare[1]);
for ($num1 = 0 ; $num1 < count($file_sost) ; $num1++) {
if (str_replace("(\"".$parola_da_elininare[0]."\",\"".$parola_da_elininare[1]."\",","",$file_sost[$num1]) != $file_sost[$num1]) $file_sost[$num1] = "";
else if (substr($file_sost[$num1],0,26) == "\$messaggio = str_replace(\"") $sost_presenti = "SI";
} # fine for $num1
echo mex("La parola da sostituire è stata eliminata",$pag).".<br>";
if ($sost_presenti == "SI") scrivi_file($file_sost,"./dati/parole_sost.php");
else unlink("./dati/parole_sost.php");
distruggi_lock_file($filelock,"./dati/parole_sost.php");
if ($sost_presenti != "SI") {
$filelock = crea_lock_file("./dati/tema.php");
$file_tema = implode("",@file("./dati/tema.php"));
$file_tema = ereg_replace("\\\$parole_sost *= *1 *;","\$parole_sost = 0;",$file_tema);
scrivi_file($file_tema,"./dati/tema.php");
distruggi_lock_file($filelock,"./dati/tema.php");
} # fine if ($sost_presenti != "SI")
} # fine if ($elimina_parola_da_sostituire)

} # fine if ($id_utente == 1)

if ($cambialingua) {
$nuova_lingua = $lingua;
unset($lingua);
include("./dati/lingua.php");
$vecchia_lingua = $lingua[$id_utente_mod];
$lingua = $nuova_lingua;
if ($lingua != "ita" and !is_dir("./includes/lang/$lingua") or strlen($lingua) > 3 or str_replace("/","",$lingua) != $lingua) $lingua = "en";
$filelock = crea_lock_file("dati/lingua.php");
$file_lingua = @file("dati/lingua.php");
$linee = "";
$num_lin = 0;
for ($num1 = 0 ; $num1 < count($file_lingua) ; $num1++) {
if (str_replace("[$id_utente_mod]","",$file_lingua[$num1]) != $file_lingua[$num1]) {
$linee[$num_lin] = "\$lingua[$id_utente_mod] = \"$lingua\";
";
} # fine if (str_replace("[$id_utente_mod]","",$file_lingua[$num1]) != $file_lingua[$num1])
else $linee[$num_lin] = $file_lingua[$num1];
$num_lin++;
} # fine for $num1
scrivi_file ($linee,"./dati/lingua.php");
distruggi_lock_file($filelock,"./dati/lingua.php");
unset($lingua);
include("./dati/lingua.php");
$lingua_mex = $lingua[$id_utente];
include("./includes/funzioni_menu.php");

$tabelle_lock = array("$tableanni");
$tabelle_lock = lock_tabelle($tabelle_lock);
$anni = esegui_query("select * from $tableanni order by idanni");
$num_anni = numlin_query($anni);
$lingua_mex = $lingua[$id_utente_mod];
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_cambia = risul_query($anni,$num1,idanni);
$tipo_periodi_cambia = risul_query($anni,$num1,tipo_periodi);
if (@is_file("./dati/selectperiodi$anno_cambia.$id_utente_mod.php")) aggiorna_menu_date("./dati/selectperiodi$anno_cambia.$id_utente_mod.php",$tipo_periodi_cambia);
if (@is_file("./dati/selperiodimenu$anno_cambia.$id_utente_mod.php")) aggiorna_menu_date("./dati/selperiodimenu$anno_cambia.$id_utente_mod.php",$tipo_periodi_cambia);
} # fine for $num1
$lingua_mex = $lingua[$id_utente];
echo mex("La lingua è stata cambiata",$pag).".<br><br>";
unlock_tabelle($tabelle_lock);

if ($id_utente_mod == 1 and C_RESTRIZIONI_DEMO_ADMIN != "SI") {
$pag_orig = $pag;
$pag = "crea_modelli.php";
include("./includes/templates/funzioni_modelli.php");
$modello_esistente = "SI";
$cambia_frasi = "NO";
include("./includes/templates/frasi_mod_disp.php");
include("./includes/templates/funzioni_mod_disp.php");
if (@is_file("$percorso_cartella_modello/modello_disponibilita.php")) {
$lingua_modello = "ita";
$nome_file = mex2("modello_disponibilita",$pag,$lingua_modello).".php";
$num_periodi_date = "";
$anno_modello = "";
$lingua_mex = $vecchia_lingua;
recupera_var_modello_disponibilita($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$lingua_mex = $lingua[$id_utente_mod];
$anno_modello = $anno_modello_presente;
crea_modello_disponibilita($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/modello_disponibilita.php"))
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$lingua_modello = $ini_lingua;
$num_periodi_date = "";
$anno_modello = "";
$lingua_mex = $vecchia_lingua;
recupera_var_modello_disponibilita($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$lingua_mex = $lingua[$id_utente_mod];
$anno_modello = $anno_modello_presente;
crea_modello_disponibilita($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
include("./includes/templates/$modello_ext/phrases.php");
include("./includes/templates/$modello_ext/functions.php");
$funz_recupera_var_modello = "recupera_var_modello_".$modello_ext;
$funz_crea_modello = "crea_modello_".$modello_ext;
if ($template_file_name["ita"]) $nome_file = $template_file_name["ita"];
else $nome_file = "ita_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$lingua_modello = "ita";
$num_periodi_date = "";
$anno_modello = "";
$lingua_mex = $vecchia_lingua;
$funz_recupera_var_modello($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$lingua_mex = $lingua[$id_utente_mod];
$anno_modello = $anno_modello_presente;
$funz_crea_modello($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($template_file_name[$ini_lingua]) $nome_file = $template_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$lingua_modello = $ini_lingua;
$num_periodi_date = "";
$anno_modello = "";
$lingua_mex = $vecchia_lingua;
$funz_recupera_var_modello($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$lingua_mex = $lingua[$id_utente_mod];
$anno_modello = $anno_modello_presente;
$funz_crea_modello($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
$pag = $pag_orig;
$lingua_mex = $lingua[$id_utente];
echo "<br>";
} # fine if ($id_utente_mod == 1 and C_RESTRIZIONI_DEMO_ADMIN != "SI")
} # fine if ($cambialingua)

if ($cambiatema) {
if (!is_dir("./includes/themes/$nuovo_tema") or strlen($nuovo_tema) > 3 or str_replace("/","",$nuovo_tema) != $nuovo_tema) $nuovo_tema = "base";
$filelock = crea_lock_file("./dati/tema.php");
$file_tema = @file("./dati/tema.php");
$linee = "";
$num_lin = 0;
for ($num1 = 0 ; $num1 < count($file_tema) ; $num1++) {
if (str_replace("[$id_utente_mod]","",$file_tema[$num1]) != $file_tema[$num1]) {
$linee[$num_lin] = "\$tema[$id_utente_mod] = \"$nuovo_tema\";
";
} # fine if (str_replace("[$id_utente_mod]","",$file_lingua[$num1]) != $file_lingua[$num1])
else $linee[$num_lin] = $file_tema[$num1];
$num_lin++;
} # fine for $num1
scrivi_file($linee,"dati/tema.php");
distruggi_lock_file($filelock,"./dati/tema.php");
echo mex("Il tema grafico è stato cambiato",$pag).".<br>";
} # fine if ($cambiatema)

if ($cambiaemail and C_RESTRIZIONI_DEMO_ADMIN != "SI") {
$nuova_email = aggslashdb($nuova_email);
if (eregi('^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$',$nuova_email)) {
esegui_query("update $tablepersonalizza set valpersonalizza = '$nuova_email' where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente_mod'");
echo mex("L'indirizzo email è stata cambiato",$pag).".<br>";
} # fine if (eregi('^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$',$nuova_email))
} # fine if ($cambiaemail and C_RESTRIZIONI_DEMO_ADMIN != "SI")

if ($cambiavaluta) {
if (get_magic_quotes_gpc()) $nuova_valuta = stripslashes($nuova_valuta);
$nuova_valuta = htmlspecialchars($nuova_valuta);
$Euro_utente = nome_valuta($id_utente_mod);
if ($Euro_utente != $nuova_valuta) {
$nuova_valuta = aggslashdb($nuova_valuta);
esegui_query("update $tablepersonalizza set valpersonalizza = '$nuova_valuta' where idpersonalizza = 'valuta' and idutente = '$id_utente_mod'");
echo mex("La valuta è stata cambiata",$pag).".<br>";
} # fine if ($Euro != $nuova_valuta)
} # fine if ($cambiavaluta)

if ($cambia_formato_soldi) {
if ($n_stile_soldi != "europa" and $n_stile_soldi != "usa") $n_stile_soldi = "europa";
esegui_query("update $tablepersonalizza set valpersonalizza = '$n_stile_soldi' where idpersonalizza = 'stile_soldi' and idutente = '$id_utente_mod'");
echo mex("Il formato di visualizzazione dei soldi è stato cambiato",$pag).".<br>";
} # fine if ($cambia_formato_soldi)

if ($cambia_formato_data) {
if ($n_stile_data != "europa" and $n_stile_data != "usa") $n_stile_data = "europa";
esegui_query("update $tablepersonalizza set valpersonalizza='$n_stile_data' where idpersonalizza = 'stile_data' and idutente = '$id_utente_mod'");
echo mex("Il formato di visualizzazione delle date è stato cambiato",$pag).".<br>";
} # fine if ($cambia_formato_data)

if ($cambia_ore_anticipa_periodo_corrente) {
if ($ore_anticipa_periodo_corrente != "" and controlla_num($ore_anticipa_periodo_corrente) == "SI" and $ore_anticipa_periodo_corrente >= -24 and $ore_anticipa_periodo_corrente <= 999) {
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$ore_anticipa_periodo_corrente' where idpersonalizza = 'ore_anticipa_periodo_corrente' and idutente = '$id_utente_mod'");
echo mex("Le ore di anticipo dell'inizio delle prenotazioni sono state cambiate",$pag).".<br>";
} # fine if ($ore_anticipa_periodo_corrente != "" and...
} # fine if ($cambia_ore_anticipa_periodo_corrente)

if ($attiva_checkin) {
esegui_query("update $tablepersonalizza set valpersonalizza = 'SI' where idpersonalizza = 'attiva_checkin' and idutente = '$id_utente_mod'");
echo mex("Registrazione degli orari di entrata ed uscita attivata",$pag).".<br>";
} # fine if ($attiva_checkin)
if ($disattiva_checkin) {
esegui_query("update $tablepersonalizza set valpersonalizza = 'NO' where idpersonalizza = 'attiva_checkin' and idutente = '$id_utente_mod'");
echo mex("Registrazione degli orari di entrata ed uscita disattivata",$pag).".<br>";
} # fine if ($disattiva_checkin)

if ($elimina_pagamento or $aggiungi_pagamento) {
$metodi_pagamento_int = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'metodi_pagamento' and idutente = '$id_utente_mod'");
$metodi_pagamento_int = risul_query($metodi_pagamento_int,0,valpersonalizza);
$metodi_pagamento_int = aggslashdb($metodi_pagamento_int);
unset($n_metodi_pagamento);
if ($elimina_pagamento) {
$metodi_pagamento = explode(",",$metodi_pagamento_int);
if (get_magic_quotes_gpc())$metodo_da_eliminare  = stripslashes($metodo_da_eliminare);
$metodo_da_eliminare = aggslashdb($metodo_da_eliminare);
for ($num1 = 0 ; $num1 < count($metodi_pagamento) ; $num1++) {
if ($metodi_pagamento[$num1] != $metodo_da_eliminare) $n_metodi_pagamento .= ",".$metodi_pagamento[$num1];
else echo mex("Metodo di pagamento eliminato",$pag).".<br>";
} # fine for $num1
$n_metodi_pagamento = substr($n_metodi_pagamento,1);
} # fine if ($elimina_pagamento)
if ($aggiungi_pagamento) {
$nuovo_metodo_pagamento = str_replace(",","",$nuovo_metodo_pagamento);
if (get_magic_quotes_gpc()) $nuovo_metodo_pagamento = stripslashes($nuovo_metodo_pagamento);
$nuovo_metodo_pagamento = htmlspecialchars($nuovo_metodo_pagamento);
$nuovo_metodo_pagamento = aggslashdb($nuovo_metodo_pagamento);
if (str_replace(" ","",$nuovo_metodo_pagamento) != "") {
if ($metodi_pagamento_int) $n_metodi_pagamento = $metodi_pagamento_int.",$nuovo_metodo_pagamento";
else $n_metodi_pagamento = $nuovo_metodo_pagamento;
echo mex("Nuovo metodo di pagamento aggiunto",$pag).".<br>";
} # fine if (str_replace(" ","",$nuovo_metodo_pagamento) != "")
} # fine if ($aggiungi_pagamento)
if ($n_metodi_pagamento != $metodi_pagamento_int) esegui_query("update $tablepersonalizza set valpersonalizza = '$n_metodi_pagamento' where idpersonalizza = 'metodi_pagamento' and idutente = '$id_utente_mod'");
} # fine if ($elimina_pagamento or $aggiungi_pagamento)

if ($elimina_documento or $aggiungi_documento) {
$tipi_documento_int = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'tipi_documento' and idutente = '$id_utente_mod'");
$tipi_documento_int = risul_query($tipi_documento_int,0,valpersonalizza);
$tipi_documento_int = aggslashdb($tipi_documento_int);
unset($n_tipi_documento);
if ($elimina_documento) {
$tipi_documento = explode(",",$tipi_documento_int);
if (get_magic_quotes_gpc())$tipo_da_eliminare  = stripslashes($tipo_da_eliminare);
$tipo_da_eliminare = aggslashdb($tipo_da_eliminare);
for ($num1 = 0 ; $num1 < count($tipi_documento) ; $num1++) {
if ($tipi_documento[$num1] != $tipo_da_eliminare) $n_tipi_documento .= ",".$tipi_documento[$num1];
else echo mex("Tipo di documento eliminato",$pag).".<br>";
} # fine for $num1
$n_tipi_documento = substr($n_tipi_documento,1);
} # fine if ($elimina_documento)
if ($aggiungi_documento) {
$nuovo_tipo_documento = str_replace(",","",$nuovo_tipo_documento);
if (get_magic_quotes_gpc()) $nuovo_tipo_documento = stripslashes($nuovo_tipo_documento);
$nuovo_tipo_documento = htmlspecialchars($nuovo_tipo_documento);
$nuovo_tipo_documento = aggslashdb($nuovo_tipo_documento);
if (str_replace(" ","",$nuovo_tipo_documento) != "") {
if ($tipi_documento_int) $n_tipi_documento = $tipi_documento_int.",$nuovo_tipo_documento";
else $n_tipi_documento = $nuovo_tipo_documento;
echo mex("Nuovo tipo di documento aggiunto",$pag).".<br>";
} # fine if (str_replace(" ","",$nuovo_tipo_documento) != "")
} # fine if ($aggiungi_documento)
if ($n_tipi_documento != $tipi_documento_int) esegui_query("update $tablepersonalizza set valpersonalizza = '$n_tipi_documento' where idpersonalizza = 'tipi_documento' and idutente = '$id_utente_mod'");
} # fine if ($elimina_documento or $aggiungi_documento)

if ($elimina_origine or $aggiungi_origine) {
$origini_prenota_int = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'origini_prenota' and idutente = '$id_utente_mod'");
$origini_prenota_int = risul_query($origini_prenota_int,0,valpersonalizza);
$origini_prenota_int = aggslashdb($origini_prenota_int);
unset($n_origini_prenota);
if ($elimina_origine) {
$origini_prenota = explode(",",$origini_prenota_int);
if (get_magic_quotes_gpc()) $origine_da_eliminare = stripslashes($origine_da_eliminare);
$origine_da_eliminare = aggslashdb($origine_da_eliminare);
for ($num1 = 0 ; $num1 < count($origini_prenota) ; $num1++) {
if ($origini_prenota[$num1] != $origine_da_eliminare) $n_origini_prenota .= ",".$origini_prenota[$num1];
else echo mex("Origine delle prenotazioni eliminata",$pag).".<br>";
} # fine for $num1
$n_origini_prenota = substr($n_origini_prenota,1);
} # fine if ($elimina_origine)
if ($aggiungi_origine) {
$nuova_origine_prenota = str_replace(",","",$nuova_origine_prenota);
if (get_magic_quotes_gpc()) $nuova_origine_prenota = stripslashes($nuova_origine_prenota);
$nuova_origine_prenota = htmlspecialchars($nuova_origine_prenota);
$nuova_origine_prenota = aggslashdb($nuova_origine_prenota);
if (str_replace(" ","",$nuova_origine_prenota) != "") {
if ($origini_prenota_int) $n_origini_prenota = $origini_prenota_int.",$nuova_origine_prenota";
else $n_origini_prenota = $nuova_origine_prenota;
echo mex("Nuova origine delle prenotazioni aggiunta",$pag).".<br>";
} # fine if (str_replace(" ","",$nuova_origine_prenota) != "")
} # fine if ($aggiungi_origine)
if ($n_origini_prenota != $origini_prenota_int) esegui_query("update $tablepersonalizza set valpersonalizza = '$n_origini_prenota' where idpersonalizza = 'origini_prenota' and idutente = '$id_utente_mod'");
} # fine if ($elimina_origine or $aggiungi_origine)

if ($aggiungi_comb_app or $elimina_comb_app) {
$tabelle_lock = array("$tablepersonalizza");
$altre_tab_lock = array("$tableappartamenti");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$comb_app_q = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'comb_app' and idutente = '$id_utente_mod'");
if (numlin_query($comb_app_q) == 1) $comb_app_int = risul_query($comb_app_q,0,"valpersonalizza");
else $comb_app_int = "";
$n_comb_app_int = $comb_app_int;
if ($elimina_comb_app) {
$n_nome_comb_app = "";
if (get_magic_quotes_gpc()) $comb_app_da_eliminare = stripslashes($comb_app_da_eliminare);
$comb_app_da_eliminare = htmlspecialchars($comb_app_da_eliminare);
if ($comb_app_int) {
$comb_app = explode("<>",$comb_app_int);
$num_comb_app = count($comb_app) - 1;
for ($num1 = 0 ; $num1 < $num_comb_app ; $num1++) {
$nome_comb_app = explode(",",$comb_app[$num1]);
$nome_comb_app = $nome_comb_app[(count($nome_comb_app) - 1)];
if ($nome_comb_app == $comb_app_da_eliminare) {
$n_comb_app_int = str_replace($comb_app[$num1]."<>","",$n_comb_app_int);
echo mex("Combinazione di appartamenti eliminata",$pag).".<br>";
} # fine if ($nome_comb_app == $comb_app_da_eliminare)
} # fine for $num1
} # fine if ($comb_app_int)
} # fine if ($elimina_comb_app)
if (get_magic_quotes_gpc()) $n_nome_comb_app = stripslashes($n_nome_comb_app);
$n_nome_comb_app = str_replace("<>","",str_replace(",","",htmlspecialchars($n_nome_comb_app)));
if (str_replace(",$n_nome_comb_app<>","",$comb_app_int) != $comb_app_int) $n_nome_comb_app = "";
if ($n_nome_comb_app and $n_comb_app) {
$n_comb_app_vett = explode(",",htmlspecialchars($n_comb_app));
$n_comb_app = "";
for ($num1 = 0 ; $num1 < count($n_comb_app_vett) ; $num1++) {
$app_esistente = esegui_query("select idappartamenti from $tableappartamenti where idappartamenti = '".aggslashdb($n_comb_app_vett[$num1])."' ");
if (numlin_query($app_esistente) == 1) $n_comb_app .= $n_comb_app_vett[$num1].",";
} # fine for $num1
if ($n_comb_app) {
$n_comb_app_int .= $n_comb_app.$n_nome_comb_app."<>";
echo mex("Nuova combinazione di appartamenti aggiunta",$pag).".<br>";
} # fine if ($n_comb_app)
} # fine if ($n_nome_comb_app and $n_comb_app)
if ($n_comb_app_int != $comb_app_int) {
if (!$n_comb_app_int) esegui_query("delete from $tablepersonalizza where idpersonalizza = 'comb_app' and idutente = '$id_utente_mod'");
else {
if (numlin_query($comb_app_q) == 1) esegui_query("update $tablepersonalizza set valpersonalizza = '".aggslashdb($n_comb_app_int)."' where idpersonalizza = 'comb_app' and idutente = '$id_utente_mod'");
else esegui_query("insert into $tablepersonalizza (idpersonalizza,valpersonalizza,idutente) values ('comb_app','".aggslashdb($n_comb_app_int)."','$id_utente_mod')");
} # fine else if (!$n_comb_app_int)
} # fine if ($n_comb_app_int != $comb_app_int)
unlock_tabelle($tabelle_lock);
} # fine if ($aggiungi_comb_app or $elimina_comb_app)

if ($aggiungi_nazione or $nazioni_predefinite or $elimina_tutte_nazioni or $importa_nazioni or $elimina_nazione) {
include("./includes/funzioni_relutenti.php");
aggiorna_nazioni($aggiungi_nazione,$nazioni_predefinite,$elimina_tutte_nazioni,$importa_nazioni,$id_utente,$id_utente_mod,$nuova_nazione,$utente_importa_nazioni,$pag,$tablenazioni,$tablerelutenti);
if ($elimina_nazione) {
if (get_magic_quotes_gpc($nazione_da_eliminare)) $nazione_da_eliminare = stripslashes($nazione_da_eliminare);
$nazione_da_eliminare = aggslashdb(htmlspecialchars($nazione_da_eliminare));
if (str_replace(" ","",$nazione_da_eliminare)) {
$tabelle_lock = array("$tablenazioni","$tablerelutenti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$num_nazione = esegui_query("select * from $tablenazioni where nome_nazione = '$nazione_da_eliminare' ");
if (numlin_query($num_nazione)) {
$num_nazione = risul_query($num_nazione,0,idnazioni);
cancella_nazione($num_nazione,$id_utente_mod,$tablenazioni,$tablerelutenti);
echo mex("Nazione cancellata",$pag).".<br>";
} # fine if (numlin_query($num_nazione))
unlock_tabelle($tabelle_lock);
} # fine if (str_replace(" ","",$nazione_da_eliminare))
} # fine if ($elimina_nazione)
} # fine if ($aggiungi_nazione or $nazioni_predefinite or...

if ($aggiungi_regione or $regioni_predefinite or $elimina_tutte_regioni or $importa_regioni or $elimina_regione) {
include("./includes/funzioni_relutenti.php");
aggiorna_regioni($aggiungi_regione,$regioni_predefinite,$elimina_tutte_regioni,$importa_regioni,$id_utente,$id_utente_mod,$nuova_regione,$utente_importa_regioni,$pag,$tableregioni,$tablerelutenti);
if ($elimina_regione) {
if (get_magic_quotes_gpc($regione_da_eliminare)) $regione_da_eliminare = stripslashes($regione_da_eliminare);
$regione_da_eliminare = aggslashdb(htmlspecialchars($regione_da_eliminare));
if (str_replace(" ","",$regione_da_eliminare)) {
$tabelle_lock = array("$tableregioni","$tablerelutenti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$num_regione = esegui_query("select * from $tableregioni where nome_regione = '$regione_da_eliminare' ");
if (numlin_query($num_regione)) {
$num_regione = risul_query($num_regione,0,idregioni);
cancella_regione($num_regione,$id_utente_mod,$tableregioni,$tablerelutenti);
echo mex("Regione/provincia cancellata",$pag).".<br>";
} # fine if (numlin_query($num_regione))
unlock_tabelle($tabelle_lock);
} # fine if (str_replace(" ","",$regione_da_eliminare))
} # fine if ($elimina_regione)
} # fine if ($aggiungi_regione or $regioni_predefinite or...

if ($aggiungi_parentela or $parentele_predefinite or $elimina_tutte_parentele or $importa_parentele or $elimina_parentela) {
include("./includes/funzioni_relutenti.php");
aggiorna_parentele($aggiungi_parentela,$parentele_predefinite,$elimina_tutte_parentele,$importa_parentele,$id_utente,$id_utente_mod,$nuova_parentela,$utente_importa_parentele,$pag,$tableparentele,$tablerelutenti);
if ($elimina_parentela) {
if (get_magic_quotes_gpc($parentela_da_eliminare)) $parentela_da_eliminare = stripslashes($parentela_da_eliminare);
$parentela_da_eliminare = aggslashdb(htmlspecialchars($parentela_da_eliminare));
if (str_replace(" ","",$parentela_da_eliminare)) {
$tabelle_lock = array("$tableparentele","$tablerelutenti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$num_parentela = esegui_query("select * from $tableparentele where nome_parentela = '$parentela_da_eliminare' ");
if (numlin_query($num_parentela)) {
$num_parentela = risul_query($num_parentela,0,idparentele);
cancella_parentela($num_parentela,$id_utente_mod,$tableparentele,$tablerelutenti);
echo mex("Parentela cancellata",$pag).".<br>";
} # fine if (numlin_query($num_parentela))
unlock_tabelle($tabelle_lock);
} # fine if (str_replace(" ","",$parentela_da_eliminare))
} # fine if ($elimina_parentela)
} # fine if ($aggiungi_parentela or $parentele_predefinite or...

if (@is_file("./dati/selectperiodi$anno.$id_utente_mod.php")) {
if ($cambiainisett) {
if ($giorno_vedi_ini_sett < 1 or $giorno_vedi_ini_sett > 6 or strlen($giorno_vedi_ini_sett) != 1) $giorno_vedi_ini_sett = 0;
if ($giorno_vedi_ini_sett == 0) esegui_query("delete from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente_mod'");
else {
$vecchio_giorno = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente_mod'");
if (numlin_query($vecchio_giorno) == 1) esegui_query("update $tablepersonalizza set valpersonalizza_num = '$giorno_vedi_ini_sett' where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente_mod'");
else {
if (numlin_query($vecchio_giorno) > 1) esegui_query("delete from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente_mod'");
esegui_query("insert into $tablepersonalizza (idpersonalizza,valpersonalizza_num,idutente) values ('giorno_vedi_ini_sett$anno','$giorno_vedi_ini_sett','$id_utente_mod')");
} # fine else if (numlin_query($vecchio_giorno) == 1)
} # fine else if ($giorno_vedi_ini_sett == 0)
echo mex("Giorno di inizio/fine settimana cambiato",$pag).".<br>";
} # fine if ($cambiainisett)

if ($cambiadatemenu) {
$errore = "NO";
$idfineperiodo_prec = -10;
if (!$num_periodi_date or controlla_num_pos($num_periodi_date) == "NO") $num_periodi_date = 1;
for ($num1 = 0 ; $num1 < $num_periodi_date ; $num1++) {
${"inizioperiodo".$num1} = aggslashdb(${"inizioperiodo".$num1});
${"fineperiodo".$num1} = aggslashdb(${"fineperiodo".$num1});
$inizioperiodo = ${"inizioperiodo".$num1};
$fineperiodo = ${"fineperiodo".$num1};
$data_inizioperiodo = $inizioperiodo;
$data_fineperiodo = $fineperiodo;
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '$inizioperiodo' ");
$num_idinizioperiodo = numlin_query($idinizioperiodo);
if ($num_idinizioperiodo == 0) { $idinizioperiodo = 10000; }
else { $idinizioperiodo = risul_query($idinizioperiodo,0,idperiodi); }
$inizioperiodo = $idinizioperiodo;
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '$fineperiodo' ");
$num_idfineperiodo = numlin_query($idfineperiodo);
if ($num_idfineperiodo == 0) { $idfineperiodo = -1; }
else { $idfineperiodo = risul_query($idfineperiodo,0,idperiodi); }
$fineperiodo = $idfineperiodo;
${"inizioperiodo".$num1} = $inizioperiodo;
${"fineperiodo".$num1} = $fineperiodo;
if ($idfineperiodo < $idinizioperiodo) $errore = "SI";
if (($idfineperiodo_prec + 1) >= $idinizioperiodo) $errore = "SI";
$idfineperiodo_prec = $idfineperiodo;
${"intervalloperiodo".$num1} = aggslashdb(${"intervalloperiodo".$num1});
if (!${"intervalloperiodo".$num1} or controlla_num_pos(${"intervalloperiodo".$num1}) == "NO" or ${"intervalloperiodo".$num1} > 99) $errore = "SI";
} # fine for $num1
if ($errore == "SI") echo mex("Le date sono sbagliate",$pag).". <br>";
else {
$file_intero = file("dati/selectperiodi$anno.$id_utente_mod.php");
$num_linee_file_intero = count($file_intero);
$filelock = crea_lock_file("dati/selperiodimenu$anno.$id_utente_mod.php");
$linee = "";
$linee[0] = "<?php

";
$num_lin = 1;
$date_parziali = 0;
$tipo_periodi = esegui_query("select * from $tableanni where idanni = '$anno'");
$tipo_periodi = risul_query($tipo_periodi,0,tipo_periodi);
for ($num1 = 0 ; $num1 < $num_periodi_date ; $num1++) {
$inizioperiodo = ${"inizioperiodo".$num1};
$fineperiodo = ${"fineperiodo".$num1};
$n_date_menu = 0;
$num_intervallo = 1;
for ($num2 = 0 ; $num2 < $num_linee_file_intero ; $num2++) {
if (substr($file_intero[$num2],0,7) == "<option") {
$data_option = aggslashdb(substr($file_intero[$num2],16,10));
$id_data_option = esegui_query("select idperiodi from $tableperiodi where datainizio = '$data_option' ");
$esiste_data_option = numlin_query($id_data_option);
if ($esiste_data_option == 1) $id_data_option = risul_query($id_data_option,0,idperiodi);
else {
$id_data_option = esegui_query("select idperiodi from $tableperiodi where datafine = '$data_option' ");
$id_data_option = risul_query($id_data_option,0,idperiodi);
} # fine else if ($esiste_data_option == 1)
if ($id_data_option >= $inizioperiodo and $id_data_option <= ($fineperiodo + 1)) {
if ($num_intervallo == 1) {
if ($n_date_menu == 0) {
$a_ini_menu = substr($data_option,0,4);
$m_ini_menu = (substr($data_option,5,2) - 1);
$g_ini_menu = substr($data_option,8,2);
} # fine if ($n_date_menu == 0)
$n_date_menu++;
$linee[$num_lin] = $file_intero[$num2];
$num_lin++;
} # fine if ($num_intervallo == 1)
else $date_parziali = 1;
if ($num_intervallo == ${"intervalloperiodo".$num1}) $num_intervallo = 1;
else $num_intervallo++;
} # fine if ($id_data_option > $inizioperiodo and...
else $date_parziali = 1;
} # fine if (substr($file_intero[$num2],0,7) == "<option")
} # fine for $num2
if ($tipo_periodi == "g") $aggiungi_giorni = ${"intervalloperiodo".$num1};
else $aggiungi_giorni = (${"intervalloperiodo".$num1} * 7);
$linee[0] .= "\$y_ini_menu[$num1] = \"$a_ini_menu\";
\$m_ini_menu[$num1] = \"$m_ini_menu\";
\$d_ini_menu[$num1] = \"$g_ini_menu\";
\$n_dates_menu[$num1] = \"$n_date_menu\";
\$d_increment[$num1] = \"$aggiungi_giorni\";
";
} # fine for $num1
if ($date_parziali) $linee[0] .= "\$partial_dates = 1;
";
include("./dati/lingua.php");
$lingua_mex = $lingua[$id_utente_mod];
$linee[0] .= "\$d_names = \"\\\"".mex(" Do","inizio.php")."\\\",\\\"".mex(" Lu","inizio.php")."\\\",\\\"".mex(" Ma","inizio.php")."\\\",\\\"".mex(" Me","inizio.php")."\\\",\\\"".mex(" Gi","inizio.php")."\\\",\\\"".mex(" Ve","inizio.php")."\\\",\\\"".mex(" Sa","inizio.php")."\\\"\";
\$m_names = \"\\\"".mex("Gen","inizio.php")."\\\",\\\"".mex("Feb","inizio.php")."\\\",\\\"".mex("Mar","inizio.php")."\\\",\\\"".mex("Apr","inizio.php")."\\\",\\\"".mex("Mag","inizio.php")."\\\",\\\"".mex("Giu","inizio.php")."\\\",\\\"".mex("Lug","inizio.php")."\\\",\\\"".mex("Ago","inizio.php")."\\\",\\\"".mex("Set","inizio.php")."\\\",\\\"".mex("Ott","inizio.php")."\\\",\\\"".mex("Nov","inizio.php")."\\\",\\\"".mex("Dic","inizio.php")."\\\"\";

\$dates_options_list = \"

";
$lingua_mex = $lingua[$id_utente];
$linee[$num_lin] = "
\";

?>";
scrivi_file ($linee,"dati/selperiodimenu$anno.$id_utente_mod.php");
distruggi_lock_file($filelock,"dati/selperiodimenu$anno.$id_utente_mod.php");
echo mex("Le date dei menù a tendina sono state cambiate",$pag).".<br>";
} # fine else if ($errore == "SI")
} # fine if ($cambiadatemenu)
} # fine if (@is_file("./dati/selectperiodi$anno.$id_utente_mod.php"))

if ($cambia_col_tutte_prenota) {
unset($col_tab_tutte_prenota);
if ($colonna_numero == "SI") $col_tab_tutte_prenota .= "nu#@&";
if ($colonna_cognome == "SI") $col_tab_tutte_prenota .= "cg#@&";
if ($colonna_inizio == "SI") $col_tab_tutte_prenota .= "in#@&";
if ($colonna_fine == "SI") $col_tab_tutte_prenota .= "fi#@&";
if ($colonna_orarioentrata == "SI") $col_tab_tutte_prenota .= "oe#@&";
if ($colonna_settimane == "SI") $col_tab_tutte_prenota .= "ns#@&";
if ($colonna_tariffacompleta == "SI") $col_tab_tutte_prenota .= "tc#@&";
if ($colonna_caparra == "SI") $col_tab_tutte_prenota .= "ca#@&";
if ($colonna_pagato == "SI") $col_tab_tutte_prenota .= "pa#@&";
if ($colonna_dapagare == "SI") $col_tab_tutte_prenota .= "dp#@&";
if ($colonna_nometariffa == "SI") $col_tab_tutte_prenota .= "nt#@&";
if ($colonna_appartamento == "SI") $col_tab_tutte_prenota .= "ap#@&";
if ($colonna_persone == "SI") $col_tab_tutte_prenota .= "pe#@&";
if ($colonna_commento == "SI") $col_tab_tutte_prenota .= "co#@&";
if ($colonna_origine_prenota == "SI") $col_tab_tutte_prenota .= "or#@&";
if ($colonna_datainserimento == "SI") $col_tab_tutte_prenota .= "di#@&";
if ($colonna_utenteinserimento == "SI") $col_tab_tutte_prenota .= "ui#@&";
for ($num1 = 0 ; $num1 < $num_ca ; $num1++) {
$tipo_ca = "";
if (${"cu".$num1}) $tipo_ca = "cu";
if (${"cs".$num1}) $tipo_ca = "cs";
if ($tipo_ca) {
$nome_ca = ${$tipo_ca.$num1};
if (get_magic_quotes_gpc()) $nome_ca = stripslashes($nome_ca);
$nome_ca = aggslashdb($nome_ca);
$col_tab_tutte_prenota .= $tipo_ca."#?&".$nome_ca;
$soprannome_ca = ${"soprannome_ca".$num1};
if (get_magic_quotes_gpc()) $soprannome_ca = stripslashes($soprannome_ca);
$soprannome_ca = htmlspecialchars($soprannome_ca);
$soprannome_ca = aggslashdb($soprannome_ca);
if ($soprannome_ca) $col_tab_tutte_prenota .= "#?&".$soprannome_ca;
elseif (${"nec_ca".$num1} == "SI") $col_tab_tutte_prenota .= "#?&";
if (${"nec_ca".$num1} == "SI") $col_tab_tutte_prenota .= "#?&nec";
$col_tab_tutte_prenota .= "#@&";
} # fine if ($tipo_ca)
} # fine for $num1
for ($num1 = 0 ; $num1 < $num_gr ; $num1++) {
$gr = "gr".$num1;
if ($$gr) {
$valore_gr = "valore_gr".$num1;
if (get_magic_quotes_gpc()) $$valore_gr = stripslashes($$valore_gr);
$$valore_gr = aggslashdb($$valore_gr);
$col_tab_tutte_prenota .= $$valore_gr."#@&";
} # fine if ($$gr)
} # fine for $num1
if ($col_tab_tutte_prenota) $col_tab_tutte_prenota = substr($col_tab_tutte_prenota,0,-3);
esegui_query("update $tablepersonalizza set valpersonalizza = '$col_tab_tutte_prenota' where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
echo mex("Le colonne sono state cambiate",$pag).".<br>";
} # fine if ($cambia_col_tutte_prenota)

if ($aggiungi_col_gruppo) {
unset($col_gruppo);
if ($colonna_settimane == "SI") $col_gruppo = "ns#?&";
if ($colonna_caparra == "SI") $col_gruppo .= "ca#?&";
if ($colonna_pagato == "SI") $col_gruppo .= "pa#?&";
if ($colonna_dapagare == "SI") $col_gruppo .= "dp#?&";
if ($colonna_nometariffa == "SI") $col_gruppo .= "nt#?&";
if ($colonna_appartamento == "SI") $col_gruppo .= "ap#?&";
if ($colonna_persone == "SI") $col_gruppo .= "pe#?&";
if ($colonna_origine_prenota == "SI") $col_gruppo .= "or#?&";
if ($colonna_datainserimento == "SI") $col_gruppo .= "di#?&";
if ($colonna_utenteinserimento == "SI") $col_gruppo .= "ui#?&";
for ($num1 = 0 ; $num1 < $num_ca ; $num1++) {
$cu = "cu".$num1;
if (get_magic_quotes_gpc()) $$cu = stripslashes($$cu);
$$cu = aggslashdb($$cu);
if ($$cu) $col_gruppo .= "cu#%&".$$cu."#?&";
$cs = "cs".$num1;
if (get_magic_quotes_gpc()) $$cs = stripslashes($$cs);
$$cs = aggslashdb($$cs);
if ($$cs) $col_gruppo .= "cs#%&".$$cs."#?&";
} # fine for $num1
if ($col_gruppo) $col_gruppo = substr($col_gruppo,0,-3);
else {
$inserire = "NO";
echo mex("Si deve sceliere qualche dato da inserire nella colonna gruppo",$pag).".<br>";
} # fine else if ($col_gruppo)
if (!$soprannome_col_gruppo) {
$inserire = "NO";
echo mex("Si deve inserire il nome della colonna gruppo",$pag).".<br>";
} # fine if (!$soprannome_col_gruppo)
if ($inserire != "NO") {
if ($separatore == "spazio") $spazio = " ";
if ($separatore == "trattino") $spazio = " - ";
if ($separatore == "acapo") $spazio = "<br>";
$tabelle_lock = array("$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock);
$col_tab_tutte_prenota = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
$col_tab_tutte_prenota = risul_query($col_tab_tutte_prenota,0,valpersonalizza);
if ($col_tab_tutte_prenota) $col_tab_tutte_prenota .= "#@&";
if (get_magic_quotes_gpc()) $soprannome_col_gruppo = stripslashes($soprannome_col_gruppo);
$soprannome_col_gruppo = htmlspecialchars($soprannome_col_gruppo);
$soprannome_col_gruppo = aggslashdb($soprannome_col_gruppo);
$col_tab_tutte_prenota .= "gr#?&$soprannome_col_gruppo#?&$spazio#?&".$col_gruppo;
esegui_query("update $tablepersonalizza set valpersonalizza = '$col_tab_tutte_prenota' where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
echo mex("La colonna gruppo è stata aggiunta",$pag).".<br>";
unlock_tabelle($tabelle_lock);
} # fine if ($inserire != "NO")
} # fine if ($aggiungi_col_gruppo)

if ($cambia_col_nec_prenota) {
$col_tab_tutte_prenota = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
$col_tab_tutte_prenota = risul_query($col_tab_tutte_prenota,0,valpersonalizza);
$colonne_selezionate = explode("#@&",$col_tab_tutte_prenota);
$num_colonne_selezionate = count($colonne_selezionate);
unset($nuove_col_tab_tutte_prenota);
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
$col_nec = "NO";
if ($colonna_selezionata[0] == "cu" or $colonna_selezionata[0] == "cs") {
$tipo_ca = $colonna_selezionata[0];
$nome_ca = $colonna_selezionata[1];
for ($num2 = 0 ; $num2 < $num_ca ; $num2++) if (${$tipo_ca.$num2} == $nome_ca) $col_nec = "SI";
if ($colonna_selezionata[3] == "nec" and $col_nec == "NO") $colonne_selezionate[$num1] = substr($colonne_selezionate[$num1],0,-6);
if ($colonna_selezionata[3] != "nec" and $col_nec == "SI") {
if ((strlen($colonne_selezionate[$num1]) - strlen(str_replace("#?&","",$colonne_selezionate[$num1]))) == 3) $colonne_selezionate[$num1] .= "#?&";
$colonne_selezionate[$num1] .= "#?&nec";
} # fine if ($colonna_selezionata[3] != "nec" and $col_nec == "SI")
} # fine if ($tipo_ca == "cu" or $tipo_ca == "cs")
if ($colonna_selezionata[0] == "gr") {
$nome_col_gruppo = $colonna_selezionata[1];
for ($num2 = 0 ; $num2 < $num_gr ; $num2++) if (${"gr".$num2} == $nome_col_gruppo) $col_nec = "SI";
if ($colonna_selezionata[(count($colonna_selezionata) -1)] == "nec" and $col_nec == "NO") $colonne_selezionate[$num1] = substr($colonne_selezionate[$num1],0,-6);
if ($colonna_selezionata[(count($colonna_selezionata) -1)] != "nec" and $col_nec == "SI") $colonne_selezionate[$num1] .= "#?&nec";
} # fine if ($colonna_selezionata[0] == "gr")
$nuove_col_tab_tutte_prenota .= "#@&".$colonne_selezionate[$num1];
} # fine for $num1
$nuove_col_tab_tutte_prenota = substr($nuove_col_tab_tutte_prenota,3);
if ($nuove_col_tab_tutte_prenota != $col_tab_tutte_prenota) esegui_query("update $tablepersonalizza set valpersonalizza = '$nuove_col_tab_tutte_prenota' where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
echo mex("Le colonne necessarie sono state cambiate",$pag).".<br>";
} # fine if ($cambia_col_nec_prenota)

if ($cambia_righe_tutte_prenota) {
$num_righe_tab_tutte_prenota = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_tutte_prenota' and idutente = '$id_utente_mod'");
$num_righe_tab_tutte_prenota = risul_query($num_righe_tab_tutte_prenota,0,valpersonalizza_num);
if ($num_righe_tab_tutte_prenota == $n_num_righe_tab_tutte_prenota) $aggiorna = "NO";
if (controlla_num_pos($n_num_righe_tab_tutte_prenota) == "NO" or $n_num_righe_tab_tutte_prenota == 0) {
$aggiorna = "NO";
echo mex("Il numero delle righe è sbagliato",$pag).".<br>";
} # fine if (controlla_num_pos($n_num_righe_tab_tutte_prenota) or ...
if ($aggiorna != "NO") {
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$n_num_righe_tab_tutte_prenota' where idpersonalizza = 'num_righe_tab_tutte_prenota' and idutente = '$id_utente_mod'");
echo mex("Il numero delle righe della tabella con tutte le prenotazioni è stato cambiato",$pag).".<br>";
} # fine if ($aggiorna != "NO")
} # fine if ($cambia_righe_tutte_prenota)

if ($cambia_selezione_tutte_prenota) {
if ($n_selezione_tab_tutte_prenota == "tutte" or $n_selezione_tab_tutte_prenota == "correnti" or $n_selezione_tab_tutte_prenota == "future") {
esegui_query("update $tablepersonalizza set valpersonalizza = '$n_selezione_tab_tutte_prenota' where idpersonalizza = 'selezione_tab_tutte_prenota' and idutente = '$id_utente_mod'");
echo mex("La selezione predefinita delle prenotazioni nella tabella con tutte le prenotazioni è stata cambiata",$pag).".<br>";
} # fine if ($n_selezione_tab_tutte_prenota == "tutte" or...
} # fine if ($cambia_selezione_tutte_prenota)

if ($cambia_aggiunta_tronca) {
if (controlla_num($nuova_aggiunta_tronca) == "NO" or $nuova_aggiunta_tronca < -2 or $nuova_aggiunta_tronca > 3) $nuova_aggiunta_tronca = 0;
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$nuova_aggiunta_tronca' where idpersonalizza = 'aggiunta_tronca_nomi_tab1' and idutente = '$id_utente_mod'");
echo mex("La lunghezza dei cognomi nelle tabelle dei mesi è stata cambiata",$pag).".<br>";
} # fine if ($cambia_aggiunta_tronca)

if ($cambia_num_tab2_prenota) {
$appartamenti = esegui_query("select idappartamenti from $tableappartamenti");
$num_appartamenti = numlin_query($appartamenti);
if (controlla_num_pos($num_tab2_prenota) == "NO" or $num_tab2_prenota == 0) $num_tab2_prenota = 1;
$num_linee_tab2_prenota = $num_appartamenti * ($num_tab2_prenota + 1) -1;
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$num_linee_tab2_prenota' where idpersonalizza = 'num_linee_tab2_prenota' and idutente = '$id_utente_mod'");
echo mex("Il numero di tabelle è stato cambiato",$pag).".<br>";
} # fine if ($cambia_num_tab2_prenota)

if ($cambia_mostra_giorni_tab_mesi) {
if ($mostra_giorni_tab_mesi != "SI") $mostra_giorni_tab_mesi = "NO";
esegui_query("update $tablepersonalizza set valpersonalizza = '$mostra_giorni_tab_mesi' where idpersonalizza = 'mostra_giorni_tab_mesi' and idutente = '$id_utente_mod'");
echo mex("I giorni da mostrare nella tabella dei mesi sono stati cambiati",$pag).".<br>";
} # fine if ($cambia_mostra_giorni_tab_mesi)

if ($cambia_linee_ripeti_date) {
if (controlla_num_pos($linee_ripeti_date) == "NO" or $linee_ripeti_date == 0) $linee_ripeti_date = 25;
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$linee_ripeti_date' where idpersonalizza = 'linee_ripeti_date_tab_mesi' and idutente = '$id_utente_mod'");
echo mex("Il numero  di righe dopo cui ripetere la riga delle date è stato cambiato",$pag).".<br>";
} # fine if ($cambia_linee_ripeti_date)

if ($cambia_righe_tutti_clienti) {
$num_righe_tab_tutti_clienti = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_tutti_clienti' and idutente = '$id_utente_mod'");
$num_righe_tab_tutti_clienti = risul_query($num_righe_tab_tutti_clienti,0,valpersonalizza_num);
if ($num_righe_tab_tutti_clienti == $n_num_righe_tab_tutti_clienti) $aggiorna = "NO";
if (controlla_num_pos($n_num_righe_tab_tutti_clienti) == "NO" or $n_num_righe_tab_tutti_clienti == 0) {
$aggiorna = "NO";
echo mex("Il numero delle righe è sbagliato",$pag).".<br>";
} # fine if (controlla_num_pos($n_num_righe_tab_tutti_clienti) or ...
if ($aggiorna != "NO") {
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$n_num_righe_tab_tutti_clienti' where idpersonalizza = 'num_righe_tab_tutti_clienti' and idutente = '$id_utente_mod'");
echo mex("Il numero delle righe della tabella con tutti i clienti è stato cambiato",$pag).".<br>";
} # fine if ($aggiorna != "NO")
} # fine if ($cambia_righe_tutti_clienti)

if ($cambia_righe_storia_soldi) {
$num_righe_tab_storia_soldi = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_storia_soldi' and idutente = '$id_utente_mod'");
$num_righe_tab_storia_soldi = risul_query($num_righe_tab_storia_soldi,0,valpersonalizza_num);
if ($num_righe_tab_storia_soldi == $n_num_righe_tab_storia_soldi) $aggiorna = "NO";
if (controlla_num_pos($n_num_righe_tab_storia_soldi) == "NO" or $n_num_righe_tab_storia_soldi == 0) {
$aggiorna = "NO";
echo mex("Il numero delle righe è sbagliato",$pag).".<br>";
} # fine if (controlla_num_pos($n_num_righe_tab_storia_soldi) or ...
if ($aggiorna != "NO") {
esegui_query("update $tablepersonalizza set valpersonalizza_num = '$n_num_righe_tab_storia_soldi' where idpersonalizza = 'num_righe_tab_storia_soldi' and idutente = '$id_utente_mod'");
echo mex("Il numero delle righe della tabella con la storia delle entrate e delle uscite è stato cambiato",$pag).".<br>";
} # fine if ($aggiorna != "NO")
} # fine if ($cambia_righe_storia_soldi)

if ($cambia_num_contratti and $id_utente == 1) {
$errore = "NO";
if (defined("C_MASSIMO_NUM_CONTRATTI") and C_MASSIMO_NUM_CONTRATTI != 0 and $nuovo_num_contratti > C_MASSIMO_NUM_CONTRATTI) $errore = "SI";
if (controlla_num_pos($nuovo_num_contratti) == "SI" and $nuovo_num_contratti >= 1 and $errore != "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$max_contr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'contr%'");
$max_contr = risul_query($max_contr,0,0);
esegui_query("delete from $tablecontratti where tipo $LIKE 'contr%' and numero > '$nuovo_num_contratti'");
esegui_query("delete from $tablecontratti where tipo = 'oggetto' and numero > '$nuovo_num_contratti'");
esegui_query("delete from $tablecontratti where tipo = 'allegato' and numero > '$nuovo_num_contratti'");
esegui_query("delete from $tablecontratti where tipo = 'bcc' and numero > '$nuovo_num_contratti'");
for ($num1 = ($max_contr + 1) ; $num1 <= $nuovo_num_contratti ; $num1++) {
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$num1','contrhtm','')");
} # fine for $num1
echo mex("Il numero di documenti è stato cambiato",$pag).".<br>";
unlock_tabelle($tabelle_lock);
} # fine if (controlla_num_pos($nuovo_num_contratti) == "NO" or $nuovo_num_contratti < 1 and $errore != "SI")
else $errore = "SI";
if ($errore == "SI") echo mex("Il numero di documenti è sbagliato",$pag).".<br>";
} # fine if ($cambia_num_contratti and $id_utente == 1)

if ($cambia_nomi_contratti) {
unset($nomi_contratti);
$max_contr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'contr%'");
$max_contr = risul_query($max_contr,0,0);
for ($num_contratto = 1 ; $num_contratto <= $max_contr ; $num_contratto++) {
if ($attiva_contratti_consentiti == "n" or $contratti_consentiti_vett[$num_contratto] == "SI") {
$nome_contratto = nome_contratto.$num_contratto;
if (get_magic_quotes_gpc()) $$nome_contratto = stripslashes($$nome_contratto);
$$nome_contratto = htmlspecialchars($$nome_contratto);
$$nome_contratto = aggslashdb($$nome_contratto);
if ($$nome_contratto) $nomi_contratti .= "$num_contratto#?&".$$nome_contratto."#@&";
} # fine if ($attiva_contratti_consentiti == "n" or...
} # fine for $num_contratto
if ($nomi_contratti) $nomi_contratti = substr($nomi_contratti,0,-3);
esegui_query("update $tablepersonalizza set valpersonalizza = '$nomi_contratti' where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente_mod'");
echo mex("I nomi dei documenti sono stati cambiati",$pag).".<br>";
} # fine if ($cambia_nomi_contratti)

if ($importa_nomi_contratti and $id_utente == 1) {
$utente_importa_contratti = aggslashdb($utente_importa_contratti);
$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti' and idutente = '$utente_importa_contratti'");
if (numlin_query($nomi_contratti) == 1) {
$nomi_contratti = risul_query($nomi_contratti,0,valpersonalizza);
esegui_query("update $tablepersonalizza set valpersonalizza = '$nomi_contratti' where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente_mod'");
echo mex("I nomi dei documenti sono stati cambiati",$pag).".<br>";
} # fine if (numlin_query($nomi_contratti) == 1)
} # fine if ($importa_nomi_contratti and $id_utente == 1)

if ($cambia_mostra_quadro_disp) {
if ($mostra_quadro_disp != "app" and $mostra_quadro_disp != "reg2" and $mostra_quadro_disp != "pers") $mostra_quadro_disp = "";
$pers_presente = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'mostra_quadro_disp' and idutente = '$id_utente_mod'");
if (numlin_query($pers_presente) == 0) esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('mostra_quadro_disp','$id_utente_mod','$mostra_quadro_disp')");
else esegui_query("update $tablepersonalizza set valpersonalizza = '$mostra_quadro_disp' where idpersonalizza = 'mostra_quadro_disp' and idutente = '$id_utente_mod'");
echo mex("Il modo di visualizzazione del quadro di disponibilità è stato cambiato",$pag).".<br>";
} # fine if ($cambia_mostra_quadro_disp)


if ($origine) $action = $origine;
else $action = "./personalizza.php";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$action\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";
} # fine if ($aggiorna_qualcosa)




else {

# pagina iniziale
echo "<h4>".mex("Configura e personalizza php-residence",$pag);
if ($id_utente == 1) echo " ".C_PHPR_VERSIONE_TXT;
echo "</h4><hr style=\"width: 65%\">";

if ($id_utente == 1) {
echo "<table style=\"margin-left: auto; margin-right: auto;\" width=\"70%\"><tr>
<td align=\"center\"><form accept-charset=\"utf-8\" method=\"post\" action=\"./gestione_utenti.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"vai_a_u\" value=\"".mex("Gestione utenti",$pag)."\">
</div></form></td>
<td align=\"center\"><form accept-charset=\"utf-8\" method=\"post\" action=\"./crea_modelli.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"vai_a_m\" value=\"".mex("Modelli per internet",$pag)."\">
</div></form></td>";
if (C_CREA_SUBORDINAZIONI != "NO") {
echo "<td align=\"center\"><form accept-charset=\"utf-8\" method=\"post\" action=\"./interconnessioni.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"vai_a_i\" value=\"".mex("Interconnessioni",$pag)."\">
</div></form></td>";
} # fine if (C_CREA_SUBORDINAZIONI != "NO")
echo "<td align=\"center\"><form accept-charset=\"utf-8\" method=\"post\" action=\"./crea_backup.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"vai_a_b\" value=\"".mex("Sistema di backup",$pag)."\">
</div></form></td>
</tr></table><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$numerotariffe = esegui_query("select nomecostoagg from $tablenometariffe where idntariffe = 1");
$numerotariffe = risul_query($numerotariffe,0,nomecostoagg);
echo mex("Cambia il numero delle tariffe",$pag)." ".mex("per l'anno",$pag)." $anno
 ".mex("a",$pag)." <input type=\"text\" name=\"nuovo_numero_tariffe\" size=\"5\" value=\"$numerotariffe\">
<input class=\"sbutton\" type=\"submit\" name=\"cambianumerotariffe\" value=\"".mex("Cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">";

if (C_CREA_NUOVI_APP != "NO") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
".mex("Crea un nuovo appartamento","visualizza_tabelle.php")."
 n° <input type=\"text\" name=\"n_app\" size=\"7\" maxlength=\"45\">
<input class=\"sbutton\" type=\"submit\" name=\"crea_app\" value=\"".mex("aggiungi",$pag)."\">
</div></form><hr style=\"width: 95%\">";
} # fine if (C_CREA_NUOVI_APP != "NO")

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$tutti_fissi = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'tutti_fissi' and idutente = '1'");
$tutti_fissi = risul_query($tutti_fissi,0,valpersonalizza);
if ($tutti_fissi == "SI") {
echo mex("Assegnazione automatica disattivata (le prenotazioni non verranno mosse dal loro appartamento)",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"attiva_assegnazione_automatica\" value=\"".mex("Attiva",$pag)."\">";
} # fine if ($tutti_fissi == "SI")
else {
echo mex("Assegnazione automatica attivata (le prenotazioni potranno essere mosse tra gli appartamenti assegnati)",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"disattiva_assegnazione_automatica\" value=\"".mex("Disattiva",$pag)."\">";
if (!defined("C_SEC_LIMITE_LIBERA_APP") or C_SEC_LIMITE_LIBERA_APP == "") {
echo "</div></form>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<table cellspacing=1 cellpadding=0><tr><td style=\"width: 40px;\"></td><td>
".mex("Secondi dopo i quali abbandonare la ricerca di un apartamento libero",$pag).":
 <input type=\"text\" name=\"secondi_lim_liberasett\" value=\"$tutti_fissi\" size=\"4\" maxlength=\"4\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_secondi_lim_liberasett\" value=\"".mex("cambia",$pag)."\">
</td></tr></table>";
} # fine if (!defined("C_SEC_LIMITE_LIBERA_APP") or C_SEC_LIMITE_LIBERA_APP != "")
} # fine else if ($tutti_fissi == "SI")
echo "</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$auto_crea_anno = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'auto_crea_anno' and idutente = '1'");
$auto_crea_anno = risul_query($auto_crea_anno,0,valpersonalizza);
if ($auto_crea_anno != "SI") {
echo mex("Creazione automatica del nuovo anno disattivata (importando i dati dall'anno precedente al primo login di un utente)",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"attiva_auto_crea_anno\" value=\"".mex("Attiva",$pag)."\">";
} # fine if ($auto_crea_anno != "SI")
else {
echo mex("Creazione automatica del nuovo anno attivata (importando i dati dall'anno precedente al primo login di un utente)",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"disattiva_auto_crea_anno\" value=\"".mex("Disattiva",$pag)."\">";
} # fine else if ($auto_crea_anno != "SI")
echo "</div></form><hr style=\"width: 95%\">

<table cellspacing=0 cellpadding=0 border=0><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$minuti_durata_sessione = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'minuti_durata_sessione' and idutente = '1'");
$minuti_durata_sessione = risul_query($minuti_durata_sessione,0,valpersonalizza_num);
echo mex("Minuti dopo i quali considerare scadute sessioni e transazioni non aggiornate",$pag).":
 <input type=\"text\" name=\"minuti_durata_sessione\" value=\"$minuti_durata_sessione\" size=\"4\" maxlength=\"4\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_minuti_durata_sessione\" value=\"".mex("cambia",$pag)."\">
</div></form></td></tr><tr><td style=\"height: 5px;\"></td></tr><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$minuti_durata_insprenota = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'minuti_durata_insprenota' and idutente = '1'");
$minuti_durata_insprenota = risul_query($minuti_durata_insprenota,0,valpersonalizza_num);
echo mex("Minuti durante i quali mantenere gli appartamenti occupati mentre si sta inserendo una prenotazione",$pag).":
 <input type=\"text\" name=\"minuti_durata_insprenota\" value=\"$minuti_durata_insprenota\" size=\"4\" maxlength=\"4\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_minuti_durata_insprenota\" value=\"".mex("cambia",$pag)."\">
</div></form></td></tr></table>
<hr style=\"width: 95%\">

<table cellspacing=0 cellpadding=0 border=0><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
echo mex("Ore di differenza con l'orario del server",$pag)." 
(".formatta_data(date("Y-m-d H:i:s"),$stile_data)."):
<select name=\"ore_diff_server\">";
for ($num1 = -23 ; $num1 <= 23 ; $num1++) {
if ($num1 == C_DIFF_ORE) $selected = " selected";
else $selected = "";
echo "<option value=\"$num1\"$selected>$num1</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_ore_diff_server\" value=\"".mex("cambia",$pag)."\">
</div></form></td></tr><tr><td style=\"height: 5px;\"></td></tr><tr><td>";
if (!defined("C_CARTELLA_CREA_MODELLI") or C_CARTELLA_CREA_MODELLI == "") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$percorso_cartella_modello = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'percorso_cartella_modello' and idutente = '1'");
$percorso_cartella_modello = risul_query($percorso_cartella_modello,0,valpersonalizza)."/";
echo mex("Cartella in cui creare i modelli internet (percorso relativo alla cartella di php-residence)",$pag).":
 <input type=\"text\" name=\"percorso_cartella_modello\" value=\"$percorso_cartella_modello\" size=\"20\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_percorso_cartella_modello\" value=\"".mex("cambia",$pag)."\">
</div></form></td></tr><tr><td style=\"height: 5px;\"></td></tr><tr><td>";
} # fine if (!defined("C_CARTELLA_CREA_MODELLI") or C_CARTELLA_CREA_MODELLI == "")
if (!defined("C_MASCHERA_EMAIL") or C_MASCHERA_EMAIL == "") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$maschera_email = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'maschera_email' and idutente = '1'");
$maschera_email = risul_query($maschera_email,0,valpersonalizza);
$sel_SI = "";
$sel_NO = "";
if ($maschera_email == "SI") $sel_SI = " selected";
else $sel_NO = " selected";
echo mex("Mascherare la provenienza delle email sull'envelope",$pag)."? 
<select name=\"maschera_email\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_maschera_email\" value=\"".mex("cambia",$pag)."\">
</div></form>";
} # fine if (!defined("C_MASCHERA_EMAIL") or C_MASCHERA_EMAIL == "")
echo "</td></tr></table>
<hr style=\"width: 95%\">";

if ($parole_sost == 1) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
echo mex("Parole da sostituire",$pag).": 
<select name=\"parola_da_elininare\">";
$file_sost = @file("./dati/parole_sost.php");
$num_file_sost = count($file_sost);
for ($num1 = 0 ; $num1 < $num_file_sost ; $num1++) {
if (substr($file_sost[$num1],0,26) == "\$messaggio = str_replace(\"") {
$parola_vecchia = explode("\"",$file_sost[$num1]);
$parola_nuova = $parola_vecchia[3];
$parola_vecchia = $parola_vecchia[1];
echo "<option value=\"$parola_vecchia\\$parola_nuova\">\"$parola_vecchia\" ".mex("con",$pag)." \"$parola_nuova\"</option>";
} # fine if (substr($file_sost[$num1],0,26) == "\$messaggio = str_replace(\"")
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_parola_da_sostituire\" value=\"".mex("elimina",$pag)."\">
</div></form><table><tr><td style=\"height: 5px;\"></td></tr></table>";
} # fine if ($parole_sost == 1)
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
echo mex("Sostituisci la parola",$pag)." 
<input type=\"text\" name=\"vecchia_parola\" size=\"12\" value=\"\"> 
".mex("con",$pag)." <input type=\"text\" name=\"nuova_parola\" size=\"12\" value=\"\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_parola_da_sostituire\" value=\"".mex("aggiungi",$pag)."\">
</div></form><hr style=\"width: 95%\">";

echo "<div style=\"text-align: center;\"><form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
$tutti_utenti = esegui_query("select * from $tableutenti order by idutenti");
unset($option_select_utenti);
unset($option_select_utenti_importa_contratti);
$num_tutti_utenti = numlin_query($tutti_utenti);
for ($num1 = 0 ; $num1 < $num_tutti_utenti ; $num1++) {
$idutenti = risul_query($tutti_utenti,$num1,idutenti);
$nome_utente = risul_query($tutti_utenti,$num1,nome_utente);
if ($id_utente_mod == $idutenti) { 
$selected = " selected";
$nome_utente_mod = $nome_utente;
} # fine if ($id_utente_mod == $idutenti)
else $selected = "";
$option_select_utenti .= "<option value=\"$idutenti\"$selected>$nome_utente</option>";
if ($id_utente_mod != $idutenti) $option_select_utenti_importa_contratti .= "<option value=\"$idutenti\">$nome_utente</option>";
} # fine for $num1
echo "<big>".mex("Personalizzazioni dell'utente",$pag)." <b>$nome_utente_mod</b>.</big><br>
".mex("Cambia",$pag)." ".mex("quelle di",$pag)."
 <select name=\"id_utente_mod\">";
echo $option_select_utenti;
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_ut\" value=\"".mex("Cambia",$pag)."\">
</div></form></div><hr style=\"width: 95%\">";

} # fine if ($id_utente == 1)

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Scegli la lingua",$pag).":
 <select name=\"lingua\">
<option value=\"ita\">italiano</option>";
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_lingua = file("./includes/lang/$ini_lingua/l_n");
$nome_lingua = togli_acapo($nome_lingua[0]);
if ($ini_lingua == $lingua[$id_utente_mod]) $selected = " selected";
else $selected = "";
echo "<option value=\"$ini_lingua\"$selected>$nome_lingua</option>";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambialingua\" value=\"".mex("cambia la lingua",$pag)."\"><br>
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Scegli il tema grafico",$pag).":
 <select name=\"nuovo_tema\">
<option value=\"base\">".mex("base",$pag)."</option>";
$temi_dir = opendir("./includes/themes/");
include("./dati/tema.php");
while ($ini_tema = readdir($temi_dir)) {
if ($ini_tema != "." && $ini_tema != "..") {
include("./includes/themes/$ini_tema/name.php");
if ($theme_name[$lingua_mex]) $nome_tema = $theme_name[$lingua_mex];
else $nome_tema = $theme_name["en"];
if ($ini_tema == $tema[$id_utente_mod]) $selected = " selected";
else $selected = "";
echo "<option value=\"$ini_tema\"$selected>$nome_tema</option>";
} # fine if ($ini_tema != "." && $ini_tema != "..")
} # fine while ($ini_tema = readdir($temi_dir))
closedir($temi_dir);
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambiatema\" value=\"".mex("cambia",$pag)."\"><br>
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
if (C_RESTRIZIONI_DEMO_ADMIN == "SI") $readonly = " readonly=\"readonly\"";
else $readonly = "";
$indirizzo_email = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente_mod'");
$indirizzo_email = risul_query($indirizzo_email,0,valpersonalizza);
echo mex("Indirizzo email",$pag)."
 <input type=\"text\"$readonly name=\"nuova_email\" size=\"32\" value=\"$indirizzo_email\">
<input class=\"sbutton\" type=\"submit\" name=\"cambiaemail\" value=\"".mex("Cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$Euro_utente = nome_valuta($id_utente_mod);
echo mex("Cambia la valuta",$pag)."
 ".mex("a",$pag)." <input type=\"text\" name=\"nuova_valuta\" size=\"8\" value=\"$Euro_utente\">
<input class=\"sbutton\" type=\"submit\" name=\"cambiavaluta\" value=\"".mex("Cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<table border=0 cellspacing=0 cellpadding=0><tr>
<td align=\"center\">".mex("Formato di visualizzazione dei soldi",$pag).":</td>";
$stile_soldi = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'stile_soldi' and idutente = '$id_utente_mod'");
$stile_soldi = risul_query($stile_soldi,0,valpersonalizza);
if ($stile_soldi == "europa") $check_soldi_eu = " checked";
if ($stile_soldi == "usa") $check_soldi_usa = " checked";
echo "<td align=\"center\">
<input type=\"radio\" name=\"n_stile_soldi\" value=\"europa\"$check_soldi_eu>1.050.000,32<br>
<input type=\"radio\" name=\"n_stile_soldi\" value=\"usa\"$check_soldi_usa>1,050,000.32
</td><td align=\"center\">&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"cambia_formato_soldi\" value=\"".mex("cambia formato",$pag)."\">
</td></tr></table>
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<table border=0 cellspacing=0 cellpadding=0><tr>
<td align=\"center\">".mex("Formato di visualizzazione delle date",$pag).":</td>";
$stile_data = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'stile_data' and idutente = '$id_utente_mod'");
$stile_data = risul_query($stile_data,0,valpersonalizza);
if ($stile_data == "europa") $check_data_eu = " checked";
if ($stile_data == "usa") $check_data_usa = " checked";
echo "<td align=\"center\">
<input type=\"radio\" name=\"n_stile_data\" value=\"europa\"$check_data_eu>27-08-2002<br>
<input type=\"radio\" name=\"n_stile_data\" value=\"usa\"$check_data_usa>08-27-2002
</td><td align=\"center\">&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"cambia_formato_data\" value=\"".mex("cambia formato",$pag)."\">
</td></tr></table>
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$ore_anticipa_periodo_corrente = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'ore_anticipa_periodo_corrente' and idutente = '$id_utente_mod'");
$ore_anticipa_periodo_corrente = risul_query($ore_anticipa_periodo_corrente,0,valpersonalizza_num);
echo mex("Numero di ore di cui anticipare il momento in cui si considera iniziata una prenotazione",$pag).":
 <input type=\"text\" name=\"ore_anticipa_periodo_corrente\" value=\"$ore_anticipa_periodo_corrente\" size=\"3\" maxlength=\"3\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_ore_anticipa_periodo_corrente\" value=\"".mex("cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$attiva_checkin = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'attiva_checkin' and idutente = '$id_utente_mod'");
$attiva_checkin = risul_query($attiva_checkin,0,valpersonalizza);
if ($attiva_checkin == "SI") {
echo mex("Registrazione degli orari di entrata ed uscita attivata",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"disattiva_checkin\" value=\"".mex("Disattiva",$pag)."\">";
} # fine if ($attiva_checkin == "SI")
else {
echo mex("Registrazione degli orari di entrata ed uscita disattivata",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"attiva_checkin\" value=\"".mex("Attiva",$pag)."\">";
} # fine else if ($attiva_checkin == "SI")
echo "</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$metodi_pagamento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'metodi_pagamento' and idutente = '$id_utente_mod'");
$metodi_pagamento = risul_query($metodi_pagamento,0,valpersonalizza);
echo mex("Metodi di pagamento",$pag).":";
if ($metodi_pagamento) {
echo " <select name=\"metodo_da_eliminare\">";
$metodi_pagamento = explode(",",$metodi_pagamento);
for ($num1 = 0 ; $num1 < count($metodi_pagamento) ; $num1++) echo "<option value=\"".$metodi_pagamento[$num1]."\">$metodi_pagamento[$num1]</option>";
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_pagamento\" value=\"".mex("elimina",$pag)."\">&nbsp;&nbsp;&nbsp;";
} # fine if ($metodi_pagamento)
echo " <input type=\"text\" name=\"nuovo_metodo_pagamento\" size=\"20\" maxlength=\"50\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_pagamento\" value=\"".mex("aggiungi",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$tipi_documento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'tipi_documento' and idutente = '$id_utente_mod'");
$tipi_documento = risul_query($tipi_documento,0,valpersonalizza);
echo mex("Tipi di documento",$pag).":";
if ($tipi_documento) {
echo " <select name=\"tipo_da_eliminare\">";
$tipi_documento = explode(",",$tipi_documento);
for ($num1 = 0 ; $num1 < count($tipi_documento) ; $num1++) echo "<option value=\"".$tipi_documento[$num1]."\">".$tipi_documento[$num1]."</option>";
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_documento\" value=\"".mex("elimina",$pag)."\">&nbsp;&nbsp;&nbsp;";
} # fine if ($tipi_documento)
echo " <input type=\"text\" name=\"nuovo_tipo_documento\" size=\"20\" maxlength=\"50\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_documento\" value=\"".mex("aggiungi",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$origini_prenota = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'origini_prenota' and idutente = '$id_utente_mod'");
$origini_prenota = risul_query($origini_prenota,0,valpersonalizza);
echo mex("Origini delle prenotazioni",$pag).":";
if ($origini_prenota) {
echo " <select name=\"origine_da_eliminare\">";
$origini_prenota = explode(",",$origini_prenota);
for ($num1 = 0 ; $num1 < count($origini_prenota) ; $num1++) echo "<option value=\"".$origini_prenota[$num1]."\">".$origini_prenota[$num1]."</option>";
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_origine\" value=\"".mex("elimina",$pag)."\">&nbsp;&nbsp;&nbsp;";
} # fine if ($origini_prenota)
echo " <input type=\"text\" name=\"nuova_origine_prenota\" size=\"20\" maxlength=\"50\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_origine\" value=\"".mex("aggiungi",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$comb_app = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'comb_app' and idutente = '$id_utente_mod'");
if (numlin_query($comb_app) == 1) $comb_app = risul_query($comb_app,0,valpersonalizza);
else $comb_app = "";
echo mex("Combinazioni predefinite di appartamenti",$pag).":";
if ($comb_app) {
echo " <select name=\"comb_app_da_eliminare\">";
$comb_app = explode("<>",$comb_app);
$num_comb_app = count($comb_app) - 1;
for ($num1 = 0 ; $num1 < $num_comb_app ; $num1++) {
$nome_comb_app = explode(",",$comb_app[$num1]);
$nome_comb_app = $nome_comb_app[(count($nome_comb_app) - 1)];
echo "<option value=\"$nome_comb_app\">$nome_comb_app</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_comb_app\" value=\"".mex("elimina",$pag)."\">";
} # fine if ($comb_app)
echo "<br>".mex("Nome combinazione",$pag).": <input type=\"text\" name=\"n_nome_comb_app\" size=\"18\" maxlength=\"50\">
".mex("lista appartamenti",$pag).": <input type=\"text\" name=\"n_comb_app\" size=\"25\">
(".mex("separati da virgole",$pag).")
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_comb_app\" value=\"".mex("aggiungi",$pag)."\">
</div></form><hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$nazioni_utente = esegui_query("select distinct $tablenazioni.nome_nazione from $tablerelutenti inner join $tablenazioni on $tablerelutenti.idnazione = $tablenazioni.idnazioni where $tablerelutenti.idutente = '$id_utente_mod' order by $tablenazioni.nome_nazione");
$num_nazioni_utente = numlin_query($nazioni_utente);
echo mex("Nazioni",$pag).":";
if ($num_nazioni_utente) {
echo " <select name=\"nazione_da_eliminare\">";
for ($num1 = 0 ; $num1 < $num_nazioni_utente ; $num1++) {
$nazione = risul_query($nazioni_utente,$num1,nome_nazione,$tablenazioni);
echo "<option value=\"$nazione\">$nazione</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_nazione\" value=\"".mex("elimina",$pag)."\">&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"elimina_tutte_nazioni\" value=\"".mex("Elimina tutte",$pag)."\">&nbsp;&nbsp;&nbsp;";
} # fine if ($num_nazioni_utente)
echo " <input type=\"text\" name=\"nuova_nazione\" size=\"20\" maxlength=\"50\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_nazione\" value=\"".mex("aggiungi",$pag)."\">&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"nazioni_predefinite\" value=\"".mex("Ripristina predefinite",$pag)."\">&nbsp;&nbsp;&nbsp;
</div></form>";
if ($id_utente == 1 and $option_select_utenti_importa_contratti) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Importa le nazioni",$pag)."
 ".mex("dell'utente",$pag)."
 <select name=\"utente_importa_nazioni\">
$option_select_utenti_importa_contratti
</select>
<input class=\"sbutton\" type=\"submit\" name=\"importa_nazioni\" value=\"".mex("Importa",$pag)."\">
</div></form>";
} # fine if ($id_utente == 1 and $option_select_utenti_importa_contratti)
echo "<hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$regioni_utente = esegui_query("select distinct $tableregioni.nome_regione from $tablerelutenti inner join $tableregioni on $tablerelutenti.idregione = $tableregioni.idregioni where $tablerelutenti.idutente = '$id_utente_mod' order by $tableregioni.nome_regione");
$num_regioni_utente = numlin_query($regioni_utente);
echo mex("Regioni/provincie",$pag).":";
if ($num_regioni_utente) {
echo " <select name=\"regione_da_eliminare\">";
for ($num1 = 0 ; $num1 < $num_regioni_utente ; $num1++) {
$regione = risul_query($regioni_utente,$num1,nome_regione,$tableregioni);
echo "<option value=\"$regione\">$regione</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_regione\" value=\"".mex("elimina",$pag)."\">&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"elimina_tutte_regioni\" value=\"".mex("Elimina tutte",$pag)."\">&nbsp;&nbsp;&nbsp;";
} # fine if ($num_regioni_utente)
echo " <input type=\"text\" name=\"nuova_regione\" size=\"20\" maxlength=\"50\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_regione\" value=\"".mex("aggiungi",$pag)."\">&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"regioni_predefinite\" value=\"".mex("Ripristina predefinite",$pag)."\">&nbsp;&nbsp;&nbsp;
</div></form>";
if ($id_utente == 1 and $option_select_utenti_importa_contratti) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Importa le regioni/provincie",$pag)."
 ".mex("dell'utente",$pag)."
 <select name=\"utente_importa_regioni\">
$option_select_utenti_importa_contratti
</select>
<input class=\"sbutton\" type=\"submit\" name=\"importa_regioni\" value=\"".mex("Importa",$pag)."\">
</div></form>";
} # fine if ($id_utente == 1 and $option_select_utenti_importa_contratti)
echo "<hr style=\"width: 95%\">

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$parentele_utente = esegui_query("select distinct $tableparentele.nome_parentela from $tablerelutenti inner join $tableparentele on $tablerelutenti.idparentela = $tableparentele.idparentele where $tablerelutenti.idutente = '$id_utente_mod' order by $tableparentele.nome_parentela");
$num_parentele_utente = numlin_query($parentele_utente);
echo mex("Parentele",$pag).":";
if ($num_parentele_utente) {
echo " <select name=\"parentela_da_eliminare\">";
for ($num1 = 0 ; $num1 < $num_parentele_utente ; $num1++) {
$parentela = risul_query($parentele_utente,$num1,nome_parentela,$tableparentele);
echo "<option value=\"$parentela\">$parentela</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_parentela\" value=\"".mex("elimina",$pag)."\">&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"elimina_tutte_parentele\" value=\"".mex("Elimina tutte",$pag)."\">&nbsp;&nbsp;&nbsp;";
} # fine if ($num_parentele_utente)
echo " <input type=\"text\" name=\"nuova_parentela\" size=\"20\" maxlength=\"50\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_parentela\" value=\"".mex("aggiungi",$pag)."\">&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"parentele_predefinite\" value=\"".mex("Ripristina predefinite",$pag)."\">&nbsp;&nbsp;&nbsp;
</div></form>";
if ($id_utente == 1 and $option_select_utenti_importa_contratti) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Importa le parentele",$pag)."
 ".mex("dell'utente",$pag)."
 <select name=\"utente_importa_parentele\">
$option_select_utenti_importa_contratti
</select>
<input class=\"sbutton\" type=\"submit\" name=\"importa_parentele\" value=\"".mex("Importa",$pag)."\">
</div></form>";
} # fine if ($id_utente == 1 and $option_select_utenti_importa_contratti)
echo "<hr style=\"width: 95%\">";

if (@is_file("./dati/selectperiodi$anno.$id_utente_mod.php")) {
echo "<div style=\"text-align: center;\">".mex("Anno",$pag)." $anno</div><br>";
if ($tipo_periodi == "g") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$giorno_vedi_ini_sett = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente_mod'");
if (numlin_query($giorno_vedi_ini_sett) == 1) $giorno_vedi_ini_sett = risul_query($giorno_vedi_ini_sett,0,valpersonalizza_num);
else $giorno_vedi_ini_sett = 0;
unset($giorno_vis_sel0);
unset($giorno_vis_sel1);
unset($giorno_vis_sel2);
unset($giorno_vis_sel3);
unset($giorno_vis_sel4);
unset($giorno_vis_sel5);
unset($giorno_vis_sel6);
${"giorno_vis_sel".$giorno_vedi_ini_sett} = " selected";
echo mex("Giorno di inizio/fine settimana nelle tabelle",$pag).":
 <select name=\"giorno_vedi_ini_sett\">
<option value=\"0\"$giorno_vis_sel0>".mex("Domenica","giorni_mesi.php")."</option>
<option value=\"1\"$giorno_vis_sel1>".mex("Lunedì","giorni_mesi.php")."</option>
<option value=\"2\"$giorno_vis_sel2>".mex("Martedì","giorni_mesi.php")."</option>
<option value=\"3\"$giorno_vis_sel3>".mex("Mercoledì","giorni_mesi.php")."</option>
<option value=\"4\"$giorno_vis_sel4>".mex("Giovedì","giorni_mesi.php")."</option>
<option value=\"5\"$giorno_vis_sel5>".mex("Venerdì","giorni_mesi.php")."</option>
<option value=\"6\"$giorno_vis_sel6>".mex("Sabato","giorni_mesi.php")."</option>
</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambiainisett\" value=\"".mex("Cambia",$pag)."\">
</div></form><table><tr><td style=\"height: 5px;\"></td></tr></table>";
} # fine if ($tipo_periodi == "g")

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<table><tr><td valign=\"top\">
".mex("Scegli le date",$pag)."
".mex("nei menù a tendina",$pag).":</td><td>";
include("./dati/selperiodimenu$anno.$id_utente_mod.php");
$incrementi_date = $d_increment;
if (!$num_periodi_date or controlla_num_pos($num_periodi_date) == "NO") $num_periodi_date = count($incrementi_date);
$lista_date = explode("<option value=\"",$dates_options_list);
$numero_date_menu = $n_dates_menu;
$numero_data = 0;
for ($num1 = 0 ; $num1 < $num_periodi_date ; $num1++) {
$numero_data++;
if (${"inizioperiodo".$num1}) $date_selected = ${"inizioperiodo".$num1};
else $date_selected = substr($lista_date[$numero_data],0,10);
echo "".mex("dal",$pag)."&nbsp;";
if (!@is_dir("./includes/themes/".$tema[$id_utente_mod])) $tema[$id_utente_mod] = "base";
mostra_menu_date("./dati/selectperiodi$anno.$id_utente_mod.php","inizioperiodo$num1",$date_selected,"","",$id_utente_mod,$tema);
$numero_data = $numero_data + $numero_date_menu[$num1] - 1;
if (${"fineperiodo".$num1}) $date_selected = ${"fineperiodo".$num1};
else $date_selected = substr($lista_date[$numero_data],0,10);
echo "&nbsp;".mex("al",$pag)."&nbsp;";
mostra_menu_date("./dati/selectperiodi$anno.$id_utente_mod.php","fineperiodo$num1",$date_selected,"","",$id_utente_mod,$tema);
if ($tipo_periodi == "s") $val_intervalloperiodo = ($incrementi_date[$num1] / 7);
else $val_intervalloperiodo = $incrementi_date[$num1];
if (${"intervalloperiodo".$num1}) $val_intervalloperiodo = ${"intervalloperiodo".$num1};
if (!$val_intervalloperiodo) $val_intervalloperiodo = 1;
echo ",&nbsp;".str_replace(" ","&nbsp;",mex("$parola_settimane di intervallo",$pag)).":&nbsp;
<input type=\"text\" name=\"intervalloperiodo$num1\" value=\"$val_intervalloperiodo\" size=\"2\" maxlength=\"2\"><br>";
} # fine for $num1
echo "</td><td style=\"width: 20px;\"></td><td valign=\"bottom\">";
if ($num_periodi_date > 1) echo "<input class=\"sbutton\" type=\"submit\" name=\"eliminadatemenu\" value=\"".mex("-",$pag)."\">&nbsp;";
echo "<input class=\"sbutton\" type=\"submit\" name=\"aggiungidatemenu\" value=\"".mex("+",$pag)."\">
</td></tr><tr><td colspan=\"3\"></td><td>
<input class=\"sbutton\" type=\"submit\" name=\"cambiadatemenu\" value=\"".mex("Cambia",$pag)."\">
</td></tr></table>
<input type=\"hidden\" name=\"num_periodi_date\" value=\"$num_periodi_date\">
</div></form>";

if ($id_utente_mod == 1 and $installazione_subordinata != "SI") {
$data_fine_periodi = esegui_query("select max(idperiodi) from $tableperiodi");
$data_fine_periodi = risul_query($data_fine_periodi,0,0);
$data_fine_periodi = esegui_query("select * from $tableperiodi where idperiodi = $data_fine_periodi");
$data_fine_periodi = risul_query($data_fine_periodi,0,datainizio);
$data_fine_periodi = explode("-",$data_fine_periodi);
$mese_fine_periodi = $data_fine_periodi[1] + (($data_fine_periodi[0] - $anno) * 12) + 1;
if ($mese_fine_periodi < 49) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
".mex("Aggiungi periodi","visualizza_tabelle.php")." ".mex("fino al mese","visualizza_tabelle.php")."
 <select name=\"mese_fine\">";
for ($num1 = $mese_fine_periodi ; $num1 <= 48 ; $num1++) {
$anno_ag = $anno;
if ($num1 > 12) { $anno_ag = $anno + 1; }
if ($num1 > 24) $anno_ag = $anno + 2;
if ($num1 > 36) $anno_ag = $anno + 3;
if ($num1 > 48) $anno_ag = $anno + 4;
$mese_ag = $num1 - (($anno_ag - $anno) * 12);
echo "<option value=\"$num1\">$mese_ag - $anno_ag</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi\" value=\"".mex("aggiungi",$pag)."\"><br>";
echo "<small>(<input type=\"checkbox\" name=\"importa_prezzi\" value=\"SI\" style=\"width: 14px; height: 12px;\" checked>".mex("prova ad importare i prezzi","visualizza_tabelle.php");
if ($tipo_periodi == "g") {
echo ":<input type=\"radio\" name=\"tipo_importa\" value=\"giorn\" style=\"width: 14px; height: 12px;\" checked>".mex("giornalmente","visualizza_tabelle.php")."
<input type=\"radio\" name=\"tipo_importa\" value=\"sett\" style=\"width: 14px; height: 12px;\">".mex("settimanalmente","visualizza_tabelle.php")."";
} # fine if ($tipo_periodi == "g")
echo ")</small></div></form>";
} # fine if ($mese_fine_periodi < 49)
$anno_attuale = date("Y",(time() + (C_DIFF_ORE * 3600)));
if (C_CANCELLA_ANNO_ATTUALE == "NO" and $anno != $anno_attuale) {
$anno_attuale_esistente = esegui_query("select * from $tableanni where idanni = $anno_attuale");
if (numlin_query($anno_attuale_esistente) == 0) $anno_attuale = $anno;
} # fine if (C_CANCELLA_ANNO_ATTUALE == "NO" and $anno != $anno_attuale)
if (C_CANCELLA_ANNO_ATTUALE != "NO" or $anno != $anno_attuale) {
echo "<br><form accept-charset=\"utf-8\" method=\"post\" action=\"./visualizza_tabelle.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\"><input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
".mex("Cancella","visualizza_tabelle.php")." ".mex("l'anno","visualizza_tabelle.php")." <b>$anno</b> ".mex("dal database","visualizza_tabelle.php")."
<input class=\"sbutton\" type=\"submit\" name=\"cancella_anno\" value=\"".mex("elimina",$pag)."\">
</div></form>";
} # fine if (C_CANCELLA_ANNO_ATTUALE != "NO" or $anno != $anno_attuale)
} # fine if ($id_utente_mod == 1 and $installazione_subordinata != "SI")

echo "<hr style=\"width: 95%\">";
} # fine if (@is_file("./dati/selectperiodi$anno.$id_utente_mod.php"))

echo "<div style=\"text-align: center;\">".mex("Tabella con tutte le prenotazioni",$pag)."</div><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Scegli le colonne da far comparire",$pag).":";
$col_tab_tutte_prenota = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
$col_tab_tutte_prenota = risul_query($col_tab_tutte_prenota,0,valpersonalizza);
$colonne_selezionate = explode("#@&",$col_tab_tutte_prenota);
$num_colonne_selezionate = count($colonne_selezionate);
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
if ($colonna_selezionata[0] == "nu") $numero_check = " checked";
if ($colonna_selezionata[0] == "cg") $cognome_check = " checked";
if ($colonna_selezionata[0] == "in") $inizio_check = " checked";
if ($colonna_selezionata[0] == "fi") $fine_check = " checked";
if ($colonna_selezionata[0] == "oe") $orarioentrata_check = " checked";
if ($colonna_selezionata[0] == "ns") $settimane_check = " checked";
if ($colonna_selezionata[0] == "tc") $tariffacompleta_check = " checked";
if ($colonna_selezionata[0] == "ca") $caparra_check = " checked";
if ($colonna_selezionata[0] == "pa") $pagato_check = " checked";
if ($colonna_selezionata[0] == "dp") $dapagare_check = " checked";
if ($colonna_selezionata[0] == "nt") $nometariffa_check = " checked";
if ($colonna_selezionata[0] == "ap") $appartamento_check = " checked";
if ($colonna_selezionata[0] == "pe") $persone_check = " checked";
if ($colonna_selezionata[0] == "co") $commento_check = " checked";
if ($colonna_selezionata[0] == "or") $origine_prenota_check = " checked";
if ($colonna_selezionata[0] == "di") $datainserimento_check = " checked";
if ($colonna_selezionata[0] == "ui") $utenteinserimento_check = " checked";
} # fine for $num1
echo "
 <input type=\"checkbox\" name=\"colonna_numero\" value=\"SI\"$numero_check> ".mex("numero",$pag).";
 <input type=\"checkbox\" name=\"colonna_cognome\" value=\"SI\"$cognome_check> ".mex("cognome cliente",$pag).";
 <input type=\"checkbox\" name=\"colonna_inizio\" value=\"SI\"$inizio_check> ".mex("data iniziale",$pag).";
 <input type=\"checkbox\" name=\"colonna_fine\" value=\"SI\"$fine_check> ".mex("data finale",$pag).";
 <input type=\"checkbox\" name=\"colonna_orarioentrata\" value=\"SI\"$orarioentrata_check> ".mex("orario entrata stimato",$pag).";
 <input type=\"checkbox\" name=\"colonna_settimane\" value=\"SI\"$settimane_check> ".mex("n° di $parola_settimane",$pag).";
 <input type=\"checkbox\" name=\"colonna_tariffacompleta\" value=\"SI\"$tariffacompleta_check> ".mex("tariffa completa",$pag).";
 <input type=\"checkbox\" name=\"colonna_caparra\" value=\"SI\"$caparra_check> ".mex("caparra",$pag).";
 <input type=\"checkbox\" name=\"colonna_pagato\" value=\"SI\"$pagato_check> ".mex("pagato",$pag).";
 <input type=\"checkbox\" name=\"colonna_dapagare\" value=\"SI\"$dapagare_check> ".mex("resto da pagare",$pag).";
 <input type=\"checkbox\" name=\"colonna_nometariffa\" value=\"SI\"$nometariffa_check> ".mex("nome della tariffa",$pag).";
 <input type=\"checkbox\" name=\"colonna_appartamento\" value=\"SI\"$appartamento_check> ".mex("n° di appartamento",$pag).";
 <input type=\"checkbox\" name=\"colonna_persone\" value=\"SI\"$persone_check> ".mex("n° di persone",$pag).";
 <input type=\"checkbox\" name=\"colonna_commento\" value=\"SI\"$commento_check> ".mex("commento",$pag).";
 <input type=\"checkbox\" name=\"colonna_origine_prenota\" value=\"SI\"$origine_prenota_check> ".mex("origine",$pag).";
 <input type=\"checkbox\" name=\"colonna_datainserimento\" value=\"SI\"$datainserimento_check> ".mex("data di inserimento",$pag).";
 <input type=\"checkbox\" name=\"colonna_utenteinserimento\" value=\"SI\"$utenteinserimento_check> ".mex("utente",$pag)."";

# le checkbox dei costi aggiuntivi già selezionati
$num_ca = 0;
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
$tipo_ca = $colonna_selezionata[0];
if ($tipo_ca == "cu" or $tipo_ca == "cs") {
$nome_ca = $colonna_selezionata[1];
$soprannome_ca = $colonna_selezionata[2];
echo "; <input type=\"checkbox\" name=\"$tipo_ca$num_ca\" value=\"$nome_ca\" checked> ";
if ($tipo_ca == "cu") echo mex("costo aggiuntivo unico",$pag);
if ($tipo_ca == "cs") echo mex("costo aggiuntivo $parola_settimanale",$pag);
echo " \"<b>$nome_ca</b>\" (".mex("abbreviazione",$pag).":
 <input type=\"text\" name=\"soprannome_ca$num_ca\" value=\"$soprannome_ca\" size=\"6\">)";
if ($colonna_selezionata[3] == "nec") echo "<input type=\"hidden\" name=\"nec_ca$num_ca\" value=\"SI\">";
$ca_presente[$tipo_ca][$nome_ca] = "SI";
$num_ca++;
} # fine if ($tipo_ca == "cu" or $tipo_ca == "cs")
} # fine for $num1

# le checkbox dei costi aggiuntivi non selezionati
$dati_ca = dati_costi_agg_ntariffe($tablenometariffe,"NO");
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
$nome_ca = $dati_ca[$numca][nome];
$tipo_ca = "c".$dati_ca[$numca][tipo];
if ($ca_presente[$tipo_ca][$nome_ca] != "SI") {
echo "; <input type=\"checkbox\" name=\"$tipo_ca$num_ca\" value=\"$nome_ca\"> ";
if ($tipo_ca == "cu") echo mex("costo aggiuntivo unico",$pag);
if ($tipo_ca == "cs") echo mex("costo aggiuntivo $parola_settimanale",$pag);
echo " \"<b>$nome_ca</b>\" (".mex("abbreviazione",$pag).":
 <input type=\"text\" name=\"soprannome_ca$num_ca\" size=\"6\">)";
$num_ca++;
} # fine if ($ca_presente[$tipo_ca][$nome_ca] != "SI")
} # fine for $numca

# le checkbox delle colonne gruppo
$num_gr = 0;
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
if ($colonna_selezionata[0] == "gr") {
$nome_col_gruppo = $colonna_selezionata[1];
echo "; <input type=\"checkbox\" name=\"gr$num_gr\" value=\"SI\" checked>
 ".mex("colonna gruppo",$pag)." \"<b>$nome_col_gruppo</b>\"
<input type=\"hidden\" name=\"valore_gr$num_gr\" value=\"".$colonne_selezionate[$num1]."\">";
$num_gr++;
} # fine if ($colonna_selezionata[0] == "gr")
} # fine for $num1

echo ".<br>
<input type=\"hidden\" name=\"num_ca\" value=\"$num_ca\">
<input type=\"hidden\" name=\"num_gr\" value=\"$num_gr\">
<table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_col_tutte_prenota\" value=\"".mex("cambia le colonne",$pag)."\"><br>
</div></form><table><tr><td style=\"height: 14px;\"></td></tr></table>

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Aggiungi una colonna gruppo",$pag)."
 ".mex("chiamata",$pag)." <input type=\"text\" name=\"soprannome_col_gruppo\" size=\"12\"> ".mex("con",$pag).":
 <input type=\"checkbox\" name=\"colonna_settimane\" value=\"SI\"> ".mex("n° di $parola_settimane",$pag).";
 <input type=\"checkbox\" name=\"colonna_caparra\" value=\"SI\"> ".mex("caparra",$pag).";
 <input type=\"checkbox\" name=\"colonna_pagato\" value=\"SI\"> ".mex("pagato",$pag).";
 <input type=\"checkbox\" name=\"colonna_dapagare\" value=\"SI\"> ".mex("resto da pagare",$pag).";
 <input type=\"checkbox\" name=\"colonna_nometariffa\" value=\"SI\"> ".mex("nome della tariffa",$pag).";
 <input type=\"checkbox\" name=\"colonna_appartamento\" value=\"SI\"> ".mex("n° di appartamento",$pag).";
 <input type=\"checkbox\" name=\"colonna_persone\" value=\"SI\"> ".mex("n° di persone",$pag).";
 <input type=\"checkbox\" name=\"colonna_commento\" value=\"SI\"> ".mex("commento",$pag).";
 <input type=\"checkbox\" name=\"colonna_origine_prenota\" value=\"SI\"> ".mex("origine",$pag).";
 <input type=\"checkbox\" name=\"colonna_datainserimento\" value=\"SI\"> ".mex("data di inserimento",$pag).";
 <input type=\"checkbox\" name=\"colonna_utenteinserimento\" value=\"SI\"> ".mex("utente",$pag)."";
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
$nome_ca = $dati_ca[$numca][nome];
$tipo_ca = "c".$dati_ca[$numca][tipo];
echo "; <input type=\"checkbox\" name=\"$tipo_ca$numca\" value=\"$nome_ca\"> ";
if ($tipo_ca == "cu") echo mex("costo aggiuntivo unico",$pag);
if ($tipo_ca == "cs") echo mex("costo aggiuntivo $parola_settimanale",$pag);
echo " \"<b>$nome_ca</b>\"";
} # fine for $numca
echo "; ".mex("separatore",$pag).":
 <input type=\"radio\" name=\"separatore\" value=\"spazio\" checked> ".mex("spazio",$pag)."
 <input type=\"radio\" name=\"separatore\" value=\"trattino\"> ".mex("trattino",$pag)."
 <input type=\"radio\" name=\"separatore\" value=\"acapo\"> ".mex("a capo",$pag)."<br>
<input type=\"hidden\" name=\"num_ca\" value=\"$num_ca\">
<table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_col_gruppo\" value=\"".mex("Aggiungi colonna gruppo",$pag)."\">
</div></form><table><tr><td style=\"height: 14px;\"></td></tr></table>";

unset ($col_nec_vedi);
# le checkbox dei costi aggiuntivi già selezionati
$num_ca = 0;
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
$tipo_ca = $colonna_selezionata[0];
if ($tipo_ca == "cu" or $tipo_ca == "cs") {
$nome_ca = $colonna_selezionata[1];
if ($colonna_selezionata[3] == "nec") $checked = " checked";
else $checked = "";
$col_nec_vedi .= "; <input type=\"checkbox\" name=\"$tipo_ca$num_ca\" value=\"$nome_ca\"$checked> ";
if ($tipo_ca == "cu") $col_nec_vedi .= mex("costo aggiuntivo unico",$pag);
if ($tipo_ca == "cs") $col_nec_vedi .= mex("costo aggiuntivo $parola_settimanale",$pag);
$col_nec_vedi .= " \"<b>$nome_ca</b>\"";
$num_ca++;
} # fine if ($tipo_ca == "cu" or $tipo_ca == "cs")
} # fine for $num1
# le checkbox delle colonne gruppo
$num_gr = 0;
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
if ($colonna_selezionata[0] == "gr") {
$nome_col_gruppo = $colonna_selezionata[1];
if ($colonna_selezionata[(count($colonna_selezionata) -1)] == "nec") $checked = " checked";
else $checked = "";
$col_nec_vedi .= "; <input type=\"checkbox\" name=\"gr$num_gr\" value=\"$nome_col_gruppo\"$checked>
 ".mex("colonna gruppo",$pag)." \"<b>$nome_col_gruppo</b>\"";
$num_gr++;
} # fine if ($colonna_selezionata[0] == "gr")
} # fine for $num1
if ($col_nec_vedi) {
$col_nec_vedi = substr($col_nec_vedi,1);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Non mostrare prenotazioni che non hanno almeno una di queste colonne necessarie (non selezionarene per mostrare tutte)",$pag).":
$col_nec_vedi.<br>
<input type=\"hidden\" name=\"num_ca\" value=\"$num_ca\">
<input type=\"hidden\" name=\"num_gr\" value=\"$num_gr\">
<table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_col_nec_prenota\" value=\"".mex("cambia le colonne necessarie",$pag)."\"><br>
</div></form><table><tr><td style=\"height: 6px;\"></td></tr></table>";
} # fine if ($col_nec_vedi)

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$num_righe_tab_tutte_prenota = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_tutte_prenota' and idutente = '$id_utente_mod'");
$num_righe_tab_tutte_prenota = risul_query($num_righe_tab_tutte_prenota,0,valpersonalizza_num);
echo mex("Cambia il numero delle righe",$pag)."
 ".mex("a",$pag)." <input type=\"text\" name=\"n_num_righe_tab_tutte_prenota\" size=\"5\" value=\"$num_righe_tab_tutte_prenota\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_righe_tutte_prenota\" value=\"".mex("Cambia",$pag)."\">
</div></form><table><tr><td style=\"height: 6px;\"></td></tr></table>

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$selezione_tab_tutte_prenota = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'selezione_tab_tutte_prenota' and idutente = '$id_utente_mod'");
$selezione_tab_tutte_prenota = risul_query($selezione_tab_tutte_prenota,0,valpersonalizza);
$sel_T = "";
$sel_C = "";
$sel_F = "";
if ($selezione_tab_tutte_prenota == "tutte") $sel_T = " selected";
if ($selezione_tab_tutte_prenota == "correnti") $sel_C = " selected";
if ($selezione_tab_tutte_prenota == "future") $sel_F = " selected";
echo mex("Selezionare in modo predefinito",$pag).":
 <select name=\"n_selezione_tab_tutte_prenota\">
<option value=\"tutte\"$sel_T>".mex("tutte le prenotazioni",$pag)."</option>
<option value=\"correnti\"$sel_C>".mex("prenotazioni del periodo corrente",$pag)."</option>
<option value=\"future\"$sel_F>".mex("prenotazioni correnti e future",$pag)."</option>
</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_selezione_tutte_prenota\" value=\"".mex("Cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">

<div style=\"text-align: center;\">".mex("Tabelle dei mesi",$pag)."</div><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$appartamenti = esegui_query("select idappartamenti from $tableappartamenti");
$num_appartamenti = numlin_query($appartamenti);
$aggiunta_tronca_nomi_tab1 = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'aggiunta_tronca_nomi_tab1' and idutente = '$id_utente_mod'");
$aggiunta_tronca_nomi_tab1 = risul_query($aggiunta_tronca_nomi_tab1,0,valpersonalizza_num);
$lung_non_tronca = 9;
$num_basso = -3;
if ($tipo_periodi == "g") {
$lung_non_tronca = 5;
$num_basso = -2;
} # fine if ($tipo_periodi == "g")
echo mex("Tronca i cognomi nelle tabelle dopo ",$pag).$lung_non_tronca."
<select name=\"nuova_aggiunta_tronca\">";
for ($num1 = $num_basso; $num1 <= 3; $num1++) {
if (substr($num1,0,1) != "-") $num_mostra = "+"."$num1";
else $num_mostra = $num1;
if ($num1 == $aggiunta_tronca_nomi_tab1) $sel = " selected";
echo "<option value=\"$num1\"$sel>$num_mostra</option>";
$sel = "";
} # fine for $num1
echo "</select>
".mex("caratteri per colonna",$pag)."
 <input class=\"sbutton\" type=\"submit\" name=\"cambia_aggiunta_tronca\" value=\"".mex("cambia",$pag)."\">
</div></form><table><tr><td style=\"height: 6px;\"></td></tr></table>

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$appartamenti = esegui_query("select idappartamenti from $tableappartamenti");
$num_appartamenti = numlin_query($appartamenti);
$num_linee_tab2_prenota = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_linee_tab2_prenota' and idutente = '$id_utente_mod'");
$num_linee_tab2_prenota = risul_query($num_linee_tab2_prenota,0,valpersonalizza_num);
$num_tab2_prenota = floor($num_linee_tab2_prenota / $num_appartamenti);
if ($num_tab2_prenota < 1) $num_tab2_prenota = 1;
echo mex("Numero di tabelle del 2° tipo",$pag).":
 <input type=\"text\" name=\"num_tab2_prenota\" value=\"$num_tab2_prenota\" size=\"2\" maxlength=\"2\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_num_tab2_prenota\" value=\"".mex("cambia",$pag)."\">
</div></form><table><tr><td style=\"height: 6px;\"></td></tr></table>

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$linee_ripeti_date_tab_mesi = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'linee_ripeti_date_tab_mesi' and idutente = '$id_utente_mod'");
$linee_ripeti_date_tab_mesi = risul_query($linee_ripeti_date_tab_mesi,0,valpersonalizza_num);
echo mex("Numero di righe dopo cui ripetere la riga delle date",$pag).":
 <input type=\"text\" name=\"linee_ripeti_date\" value=\"$linee_ripeti_date_tab_mesi\" size=\"3\" maxlength=\"3\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_linee_ripeti_date\" value=\"".mex("cambia",$pag)."\">
</div></form>

<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$mostra_giorni_tab_mesi = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'mostra_giorni_tab_mesi' and idutente = '$id_utente_mod'");
$mostra_giorni_tab_mesi = risul_query($mostra_giorni_tab_mesi,0,valpersonalizza);
if ($mostra_giorni_tab_mesi == "SI") { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_SI = ""; $sel_NO = " selected"; }
echo mex("Mostrare i giorni nella riga delle date?",$pag)."
<select name=\"mostra_giorni_tab_mesi\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_mostra_giorni_tab_mesi\" value=\"".mex("cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">";

echo "<div style=\"text-align: center;\">".mex("Tabella con tutti i clienti",$pag)."</div><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$num_righe_tab_tutti_clienti = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_tutti_clienti' and idutente = '$id_utente_mod'");
$num_righe_tab_tutti_clienti = risul_query($num_righe_tab_tutti_clienti,0,valpersonalizza_num);
echo mex("Cambia il numero delle righe",$pag)."
 ".mex("a",$pag)." <input type=\"text\" name=\"n_num_righe_tab_tutti_clienti\" size=\"5\" value=\"$num_righe_tab_tutti_clienti\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_righe_tutti_clienti\" value=\"".mex("Cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">";

echo "<div style=\"text-align: center;\">".mex("Tabella con la storia delle entate e uscite",$pag)."</div><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$num_righe_tab_storia_soldi = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_storia_soldi' and idutente = '$id_utente_mod'");
$num_righe_tab_storia_soldi = risul_query($num_righe_tab_storia_soldi,0,valpersonalizza_num);
echo mex("Cambia il numero delle righe",$pag)."
 ".mex("a",$pag)." <input type=\"text\" name=\"n_num_righe_tab_storia_soldi\" size=\"5\" value=\"$num_righe_tab_storia_soldi\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_righe_storia_soldi\" value=\"".mex("Cambia",$pag)."\">
</div></form><hr style=\"width: 95%\">";

echo "<a name=\"contratti\"></a><div style=\"text-align: center;\">".mex("Documenti",$pag)."</div><br>";
$max_contr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'contr%'");
$max_contr = risul_query($max_contr,0,0);
if ($id_utente == 1) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
echo mex("Cambia il numero dei documenti",$pag)."
 ".mex("a",$pag)." <input type=\"text\" name=\"nuovo_num_contratti\" size=\"5\" value=\"$max_contr\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_num_contratti\" value=\"".mex("Cambia",$pag)."\">
</div></form><br>";
} # fine if ($id_utente == 1)
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente_mod'");
$nomi_contratti = risul_query($nomi_contratti,0,valpersonalizza);
$nomi_contratti = explode("#@&",$nomi_contratti);
$num_nomi_contratti = count($nomi_contratti);
for ($num1 = 0 ; $num1 < $num_nomi_contratti ; $num1++) {
$dati_nome_contratto = explode("#?&",$nomi_contratti[$num1]);
$nome_contratto[$dati_nome_contratto[0]] = $dati_nome_contratto[1];
} # fine for $num1
echo "<div style=\"text-align: center;\"><table style=\"margin-left: auto; margin-right: auto;\" border=1 cellspacing=1 cellpadding=1>";
$num_colonna = 1;
for ($num_contratto = 1 ; $num_contratto <= $max_contr ; $num_contratto++) {
if ($attiva_contratti_consentiti == "n" or $contratti_consentiti_vett[$num_contratto] == "SI") {
if ($num_colonna == 1) echo "<tr>";
echo "<td align=\"center\"><small>";
if ($id_utente == 1) echo "<a title=\"".mex("modifica il documento",$pag)." $num_contratto\" href=\"./modifica_contratto.php?anno=$anno&amp;id_sessione=$id_sessione&amp;num_contratto=$num_contratto\">";
echo "<b style=\"font-weight: normal; text-decoration: underline; color: #000000;\">".mex("documento",$pag)." </b>$num_contratto";
if ($id_utente == 1) echo "</a>";
echo "</small>:
 <input type=\"text\" name=\"nome_contratto$num_contratto\" value=\"".$nome_contratto[$num_contratto]."\" size=\"12\" maxlength=\"24\"></td>";
if ($num_colonna == 5) {
echo "</tr>";
$num_colonna = 1;
} # fine if ($num_colonna == 5)
else $num_colonna++;
} # fine if ($attiva_contratti_consentiti == "n" or...
} # fine for $num_contratto
if ($num_colonna != 1) {
for ($num1 = $num_colonna ; $num1 <= 5 ; $num1++) echo "<td>&nbsp;</td>";
echo "</tr>";
} # fine if ($num_colonna != 1)
echo "</table><table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"cambia_nomi_contratti\" value=\"".mex("cambia i nomi dei documenti",$pag)."\">
</div></div></form><br>";
if ($id_utente == 1 and $option_select_utenti_importa_contratti) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
".mex("Importa i nomi dei documenti",$pag)."
 ".mex("dell'utente",$pag)."
 <select name=\"utente_importa_contratti\">
$option_select_utenti_importa_contratti
</select>
<input class=\"sbutton\" type=\"submit\" name=\"importa_nomi_contratti\" value=\"".mex("Importa",$pag)."\">
</div></form><table><tr><td style=\"height: 3px;\"></td></tr></table>";
} # fine if ($id_utente == 1 and $option_select_utenti_importa_contratti)
if ($id_utente == 1) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./modifica_var_contr.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
".mex("Aggiungi ai documenti",$pag)."
<input class=\"sbutton\" type=\"submit\" name=\"cambia_nomi_contratti\" value=\"".mex("variabili personalizzate",$pag)."\">.
</div></form>
<table><tr><td style=\"height: 3px;\"></td></tr></table>";
} # fine if ($id_utente == 1)
echo "<hr style=\"width: 95%\">";

echo "<div style=\"text-align: center;\">".mex("Controllo disponibilità",$pag)."</div><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">";
$mostra_quadro_disp = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'mostra_quadro_disp' and idutente = '$id_utente_mod'");
$mostra_quadro_disp = risul_query($mostra_quadro_disp,0,valpersonalizza);
if ($mostra_quadro_disp == "") $check_mqd_no = " checked";
if ($mostra_quadro_disp == "app") $check_mqd_app = " checked";
if ($mostra_quadro_disp == "reg2") $check_mqd_reg2 = " checked";
if ($mostra_quadro_disp == "pers") $check_mqd_pers = " checked";

echo "<table><tr><td valign=\"top\">".mex("Quadro indicativo disponibilità",$pag).":</td><td>
 <input type=\"radio\" name=\"mostra_quadro_disp\" value=\"no\"$check_mqd_no> ".mex("non mostrare",$pag)."<br>
 <input type=\"radio\" name=\"mostra_quadro_disp\" value=\"app\"$check_mqd_app> ".mex("non raggruppare gli appartamenti",$pag)."<br>
 <input type=\"radio\" name=\"mostra_quadro_disp\" value=\"reg2\"$check_mqd_reg2> ".mex("raggruppa gli appartamenti con la regola di assegnazione 2",$pag)."<br>
 <input type=\"radio\" name=\"mostra_quadro_disp\" value=\"pers\"$check_mqd_pers> ".mex("raggruppa gli appartamenti per numero di persone",$pag)."
</td><td style=\"width: 5px;\"></td><td valign=\"middle\"><input class=\"sbutton\" type=\"submit\" name=\"cambia_mostra_quadro_disp\" value=\"".mex("Cambia",$pag)."\">
</td></tr></table></div></form><hr style=\"width: 95%\">";



echo "<div style=\"text-align: center;\"><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./inizio.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna al menù principale",$pag)."\">
</div></form><br></div>";



} # fine else if ($cambialingua)


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($modifica_pers != "NO" and $anno_utente_attivato == "SI")
} # fine if ($id_utente)



?>

